<?xml version="1.0" encoding="UTF-8"?>
<!-- Dieses Stylesheet extrahiert aus den Personenregisterdateien die GND-IDs und die internen IDs der Registereinträge und schreibt sie in die Datei hainhofer-beacon.txt. Diese Datei muss anschließend hochgeladen werden nach https://hainhofer.hab.de/cms/uploads/hainhofer-beacon.txt. Bei der Transformation muss keine bestimmte XML-Quelle angegeben werden. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:xhtml="http://www.w3.org/1999/xhtml" exclude-result-prefixes="xs xhtml tei" version="2.0">
    <xsl:output method="text" encoding="Windows-1252"/>
    <xsl:strip-space elements="*"/>
    <xsl:template match="/">
        <xsl:result-document href="hainhofer-beacon.txt">
            <xsl:text>#FORMAT: BEACON
#PREFIX: https://d-nb.info/gnd/
#INSTITUTION: Herzog August Bibliothek Wolfenbüttel
#NAME: Personenregister der Edition "Philipp Hainhofer: Reiseberichte und Sammlungsbeschreibungen 1594–1636"
#TARGET: https://hainhofer.hab.de/register/personen/{ID}
#TIMESTAMP: </xsl:text>
            <xsl:value-of select="format-date(current-date(),'[Y]-[M,2]-[D,2]')"/>
            <xsl:text>&#xA;</xsl:text>
            <xsl:apply-templates select="(document('../Register/register-person/register-person-a.xml')|document('../Register/register-person/register-person-b.xml')|document('../Register/register-person/register-person-c.xml')|document('../Register/register-person/register-person-d.xml')|document('../Register/register-person/register-person-e.xml')|document('../Register/register-person/register-person-f.xml')|document('../Register/register-person/register-person-g.xml')|document('../Register/register-person/register-person-h.xml')|document('../Register/register-person/register-person-i.xml')|document('../Register/register-person/register-person-j.xml')|document('../Register/register-person/register-person-k.xml')|document('../Register/register-person/register-person-l.xml')|document('../Register/register-person/register-person-m.xml')|document('../Register/register-person/register-person-n.xml')|document('../Register/register-person/register-person-o.xml')|document('../Register/register-person/register-person-p.xml')|document('../Register/register-person/register-person-qr.xml')|document('../Register/register-person/register-person-s.xml')|document('../Register/register-person/register-person-t.xml')|document('../Register/register-person/register-person-u.xml')|document('../Register/register-person/register-person-v.xml')|document('../Register/register-person/register-person-w.xml')|document('../Register/register-person/register-person-xyz.xml'))//tei:person">
                <xsl:sort select="@xml:id"/>
            </xsl:apply-templates>       
        </xsl:result-document>
    </xsl:template>
    
    <xsl:template match="tei:person">
        <xsl:if test="tei:idno[contains(.,'d-nb.info/gnd/')]">
            <xsl:value-of select="tei:idno[contains(.,'d-nb.info/gnd/')][1]/substring-after(.,'d-nb.info/gnd/')"/>
            <xsl:text>||</xsl:text>
            <xsl:value-of select="@xml:id"/>
            <xsl:text>&#xA;</xsl:text>
        </xsl:if>
        
    </xsl:template>
</xsl:stylesheet>
