<?xml version="1.0" encoding="UTF-8"?>
<!-- Achtung: Indentation im Resultat noch nicht korrekt -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0" exclude-result-prefixes="tei" version="2.0">    
    <xsl:output method="xml" indent="yes"/>
    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="text()">
        <xsl:value-of select="replace(.,'\s+',' ')"/>
    </xsl:template>
    <xsl:template match="tei:pb">
        <xsl:variable name="facsurl">https://diglib.hab.de/mss/6-6-aug-2f/facsimile.xml</xsl:variable> <!-- hier URL der facsimile.xml eintragen -->
        <xsl:variable name="fol" select="substring-after(@n,'fol. ')"/>
        <pb xmlns="http://www.tei-c.org/ns/1.0">            
            <xsl:attribute name="n" select="@n"/>
            <xsl:attribute name="facs">
                
                <xsl:value-of select="concat('img:', tokenize(document($facsurl)/tei:facsimile/tei:graphic[@n eq $fol]/@url,'/')[matches(.,'[0-9]+\.jpg')])"/>
                
                <!-- Alternative ohne facsimile.xml: -->
                <!--<xsl:choose>
                    <xsl:when test="ends-with(@n, 'r')">
                        <xsl:choose>
                            <xsl:when test="number(replace(@n, '^fol\.\s([0-9]+)(r|v)$','$1'))*2+5 &gt; 99">
                                <xsl:text>img:00</xsl:text>
                            </xsl:when>
                            <xsl:when test="number(replace(@n, '^fol\.\s([0-9]+)(r|v)$','$1'))*2+5 &gt; 9">
                                <xsl:text>img:000</xsl:text>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:text>img:0000</xsl:text>
                            </xsl:otherwise>
                        </xsl:choose>
                        <xsl:value-of select="concat(number(replace(@n, '^fol\.\s([0-9]+)(r|v)$','$1'))*2+5,'.jpg')"/>
                    </xsl:when>
                    <xsl:when test="ends-with(@n, 'v')">
                        <xsl:choose>
                            <xsl:when test="number(replace(@n, '^fol\.\s([0-9]+)(r|v)$','$1'))*2+6 &gt; 99">
                                <xsl:text>img:00</xsl:text>
                            </xsl:when>
                            <xsl:when test="number(replace(@n, '^fol\.\s([0-9]+)(r|v)$','$1'))*2+6 &gt; 9">
                                <xsl:text>img:000</xsl:text>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:text>img:0000</xsl:text>
                            </xsl:otherwise>
                        </xsl:choose>
                        <xsl:value-of select="concat(number(replace(@n, '^fol\.\s([0-9]+)(r|v)$','$1'))*2+6,'.jpg')"/>
                    </xsl:when>
                </xsl:choose>     -->           
                
                <!-- Mischung aus beiden Ansätzen: -->
                <!--<xsl:choose>
                    <xsl:when test="matches(@n, '^fol. 57v[0-9]+r$')">                        
                        <xsl:value-of select="concat('img:00',number(replace(@n, '^fol\.\s57v([0-9]+)(r|v)$','$1'))*2+119,'.jpg')"/>
                    </xsl:when>
                    <xsl:when test="matches(@n, '^fol. 57v[0-9]+v$')">                        
                        <xsl:value-of select="concat('img:00',number(replace(@n, '^fol\.\s57v([0-9]+)(r|v)$','$1'))*2+120,'.jpg')"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="@facs"/>
                    </xsl:otherwise>
                </xsl:choose>-->
                
            </xsl:attribute>
        </pb>
    </xsl:template>
</xsl:stylesheet>