<?xml version="1.0" encoding="UTF-8"?>
<!-- Dieses Stylesheet erzeugt aus den TEI/XML-Dateien der Register einen RDF/XML-Dump; weitere Informationen siehe https://eos.hypotheses.org/293.
    Nachdem die vollständige RDF/XML-Datei erzeugt worden ist, sollte noch das separate Stylesheet generate_lod_obj_types.xsl darauf angewendet werden, um die RDF-Objekte Klassen zuzuweisen. 
    Zur Beschleunigung der Transformation sollten die Daten von file://///fpserver.hab.de/handschriften/Projekte/Hainhofer/Edition/Register/ bzw. XML-Dateien/ auf die eigene Festplatte (hier: file://///C:/Users/iglesia/Documents/Register/) kopiert werden. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:bf="http://id.loc.gov/ontologies/bibframe/" xmlns:ecrm="http://erlangen-crm.org/current/" xmlns:edm="http://www.europeana.eu/schemas/edm/" xmlns:foaf="http://xmlns.com/foaf/0.1/" xmlns:frbr="http://purl.org/vocab/frbr/core#" xmlns:gndo="https://d-nb.info/standards/elementset/gnd#" xmlns:owl ="http://www.w3.org/2002/07/owl#" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:schema="http://schema.org/" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:wdt="http://www.wikidata.org/prop/direct/" exclude-result-prefixes="xs tei" version="2.0">
    
    <xsl:template match="/">
        <xsl:result-document indent="yes" href="hainhofer-lod_psn.xml"> <!-- Dateinamen ggf. hier anpassen. -->
            <rdf:RDF
                xmlns:bf="http://id.loc.gov/ontologies/bibframe/"
                xmlns:dcterms="http://purl.org/dc/terms/"
                xmlns:ecrm="http://erlangen-crm.org/current/"
                xmlns:edm="http://www.europeana.eu/schemas/edm/"
                xmlns:foaf="http://xmlns.com/foaf/0.1/"
                xmlns:frbr="http://purl.org/vocab/frbr/core#"
                xmlns:gndo="https://d-nb.info/standards/elementset/gnd#"
                xmlns:gvk="http://uri.gbv.de/document/gvk:ppn:"
                xmlns:owl ="http://www.w3.org/2002/07/owl#"
                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
                xmlns:schema="http://schema.org/"
                xmlns:wdt="http://www.wikidata.org/prop/direct/">
                
                <rdf:Description rdf:about="https://hainhofer.hab.de/cms/uploads/hainhofer-lod.xml">
                    <dcterms:title>Daten aus der Edition "Philipp Hainhofer. Reiseberichte &amp; Sammlungsbeschreibungen 1594–1636. Edition und Datensammlung zur Kunst- und Kulturgeschichte der ersten Hälfte des 17. Jahrhunderts"</dcterms:title>
                    <schema:license>https://creativecommons.org/publicdomain/zero/1.0/</schema:license>
                    <dcterms:created>2020</dcterms:created>
                    <dcterms:modified>
                        <xsl:value-of select="current-dateTime()"/>
                    </dcterms:modified>
                    <dcterms:contributor>Martin de la Iglesia, Herzog August Bibliothek Wolfenbüttel (iglesia@hab.de)</dcterms:contributor>
                </rdf:Description>
                
                <!-- Wenn die Transformation zu lange dauert, jedes Register einzeln transformieren und die jeweils anderen auskommentieren: -->
                
                <!-- Personengruppen (tei:personGrp) sind unten noch nicht berücksichtigt, daher hier nur tei:person: -->                  
                <xsl:apply-templates select="collection('file://///C:/Users/iglesia/Documents/Register/register-person?select=*.xml;recurse=no')//tei:person[tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]]"/>
                                
                <!--<xsl:apply-templates select=" collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/') or contains(.,'ta.sandrart.net')]]">
                    <!-\-<xsl:sort select="tei:name[@type='preferred']/tei:term/@sortKey"/>-\->
                </xsl:apply-templates>-->
                
                <!--<xsl:apply-templates select=" collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[tei:idno[@type='URI']]">
                    <xsl:sort select="tei:placeName[@type = 'preferred']/tei:term/@sortKey"/>
                </xsl:apply-templates>-->
                
                <!--<xsl:apply-templates select=" collection('file://///C:/Users/iglesia/Documents/Register/register-org?select=*.xml;recurse=no')//tei:org[tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/') or contains(.,'://www.wikidata.org/')]]"/>      -->              
                
                <!--<xsl:call-template name="hasmet"/>-->
                
            </rdf:RDF>
        </xsl:result-document>
    </xsl:template>
    
    <!-- **************************** Orte: ************************************* -->
    
    <xsl:template match="tei:place[tei:idno[@type='URI']]">
        <rdf:Description>
            <xsl:attribute name="rdf:about">
                <xsl:choose>
                    <xsl:when test="tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                        <xsl:value-of select="tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                    </xsl:when>
                    <xsl:when test="tei:idno[@type='URI'][contains(.,'://sws.geonames.org/')]">
                        <xsl:value-of select="tei:idno[@type='URI'][contains(.,'://sws.geonames.org/')][1]"/>
                    </xsl:when>
                    <xsl:when test="tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/tgn/')]">
                        <xsl:value-of select="tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/tgn/')][1]"/>
                    </xsl:when>
                    <xsl:when test="tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')]">
                        <xsl:value-of select="tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')][1]"/>
                    </xsl:when>
                </xsl:choose>
            </xsl:attribute>
            
            <xsl:if test="tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                <xsl:if test="tei:idno[@type='URI'][contains(.,'://sws.geonames.org/')]">
                    <owl:sameAs>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="tei:idno[@type='URI'][contains(.,'://sws.geonames.org/')][1]"/>
                        </xsl:attribute>
                    </owl:sameAs>
                </xsl:if>
                <xsl:if test="tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/tgn/')]">
                    <owl:sameAs>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/tgn/')][1]"/>
                        </xsl:attribute>
                    </owl:sameAs>
                </xsl:if>
                <xsl:if test="tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')]">
                    <owl:sameAs>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')][1]"/>
                        </xsl:attribute>
                    </owl:sameAs>
                </xsl:if>
            </xsl:if>
            <xsl:if test="not(tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]) and tei:idno[@type='URI'][contains(.,'://sws.geonames.org/')]">                
                <xsl:if test="tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/tgn/')]">
                    <owl:sameAs>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/tgn/')][1]"/>
                        </xsl:attribute>
                    </owl:sameAs>
                </xsl:if>
                <xsl:if test="tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')]">
                    <owl:sameAs>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')][1]"/>
                        </xsl:attribute>
                    </owl:sameAs>
                </xsl:if>
            </xsl:if>
            <xsl:if test="not(tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]) and not(tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/tgn/')]) and tei:idno[@type='URI'][contains(.,'://sws.geonames.org/')]">
                <xsl:if test="tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')]">
                    <owl:sameAs>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')][1]"/>
                        </xsl:attribute>
                    </owl:sameAs>
                </xsl:if>
            </xsl:if>
            
            <rdf:type rdf:resource="http://erlangen-crm.org/current/E53_Place"/>
            <rdf:type rdf:resource="http://schema.org/Place"/>
            
            <schema:mainEntityOfPage>https://hainhofer.hab.de/register/orte/<xsl:value-of select="@xml:id"/></schema:mainEntityOfPage>
            
            <rdfs:label>
                <xsl:if test="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']">
                    <xsl:choose>
                        <xsl:when test="starts-with(substring-after(tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' '), '#')">
                            <xsl:variable name="containsid" select="substring-after(tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' #')"/>
                           <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $containsid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']">                                
                                <xsl:variable name="containsid2" select="substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $containsid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' #')"/>
                                <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $containsid2]/tei:placeName[@type = 'preferred']/tei:term/normalize-space()"/>
                                <xsl:text>, </xsl:text>
                            </xsl:if>
                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $containsid]/tei:placeName[@type = 'preferred']/tei:term"/>
                            <xsl:text>, </xsl:text>
                            
                        </xsl:when>
                        <xsl:when test="starts-with(substring-after(tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' '), 'wrk:')">
                            <xsl:variable name="workid" select="substring-after(tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' wrk:')"/>
                             <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']">
                               <xsl:variable name="containsid2" select="substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' plc:')"/>                                
                                <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $containsid2]/tei:placeName[@type = 'preferred']/tei:term/normalize-space()"/>
                                <xsl:text>, </xsl:text>
                            </xsl:if>
                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:name[@type = 'preferred']/tei:term/normalize-space()"/>
                            <xsl:text>, </xsl:text>
                            
                        </xsl:when>
                    </xsl:choose>
                    
                </xsl:if>
                <xsl:value-of select="tei:placeName[@type = 'preferred']/tei:term/normalize-space()"/>
            </rdfs:label>
            
            <xsl:call-template name="occurrences"/>
            
            <xsl:call-template name="lit"/>
            
            <xsl:for-each select="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']">                
                <xsl:variable name="plcid" select="substring-after(@target,' #')"/>
                <xsl:choose>                   
                    <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid][tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]]">
                        <ecrm:P89_falls_within>
                            <xsl:attribute name="rdf:resource">
                                <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                            </xsl:attribute>
                        </ecrm:P89_falls_within>
                    </xsl:when>
                    <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid][tei:idno[@type='URI'][contains(.,'://sws.geonames.org/')]]">
                        <ecrm:P89_falls_within>
                            <xsl:attribute name="rdf:resource">
                                <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid]/tei:idno[@type='URI'][contains(.,'://sws.geonames.org/')][1]"/>
                            </xsl:attribute>
                        </ecrm:P89_falls_within>
                    </xsl:when>
                    <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid][tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/tgn/')]]">
                        <ecrm:P89_falls_within>
                            <xsl:attribute name="rdf:resource">
                                <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid]/tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/tgn/')][1]"/>
                            </xsl:attribute>
                        </ecrm:P89_falls_within>
                    </xsl:when>
                    <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid][tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')]]">
                        <ecrm:P89_falls_within>
                            <xsl:attribute name="rdf:resource">
                                <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid]/tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')][1]"/>
                            </xsl:attribute>
                        </ecrm:P89_falls_within>
                    </xsl:when>
                </xsl:choose>
                <!-- dauert lang; ggf. auskommentieren: -->
                <xsl:variable name="wrkid" select="substring-after(@target,' wrk:')"/>
                <xsl:choose>                   
                    <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $wrkid][tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]]">
                        <ecrm:P89_falls_within>
                            <xsl:attribute name="rdf:resource">
                                <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $wrkid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                            </xsl:attribute>
                        </ecrm:P89_falls_within>
                    </xsl:when>
                    <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $wrkid][tei:idno[@type='URI'][contains(.,'ta.sandrart.net')]]">
                        <ecrm:P89_falls_within>
                            <xsl:attribute name="rdf:resource">
                                <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $wrkid]/tei:idno[@type='URI'][contains(.,'ta.sandrart.net')][1]"/>
                            </xsl:attribute>
                        </ecrm:P89_falls_within>
                    </xsl:when>   
                    
                </xsl:choose>                
                
            </xsl:for-each>
            
        </rdf:Description>
    </xsl:template>
    
    <!-- **************************** Körperschaften: ************************************* -->
    
    <xsl:template match="tei:org[tei:idno[@type='URI']]">
        <rdf:Description>
            <xsl:attribute name="rdf:about">
                <xsl:choose>
                    <xsl:when test="tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                        <xsl:value-of select="tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                    </xsl:when>
                    <xsl:when test="tei:idno[@type='URI'][contains(.,'://www.wikidata.org/')]">
                        <xsl:value-of select="tei:idno[@type='URI'][contains(.,'://www.wikidata.org/')][1]"/>
                    </xsl:when>
                </xsl:choose>
            </xsl:attribute>
            
            <rdf:type rdf:resource="http://erlangen-crm.org/current/E74_Group"/>
            <rdf:type rdf:resource="http://schema.org/Organization"/>
            <rdf:type rdf:resource="http://xmlns.com/foaf/0.1/Organization"/>
            
            <schema:mainEntityOfPage>https://hainhofer.hab.de/register/koerperschaftsregister/<xsl:value-of select="@xml:id"/></schema:mainEntityOfPage>
            
            <rdfs:label>
                <xsl:value-of select="tei:orgName[@type = 'preferred']/tei:term/normalize-space()"/>
            </rdfs:label>
            
            <xsl:call-template name="occurrences"/>
            
            <!-- dauert lang; ggf. auskommentieren: -->
            <xsl:for-each select="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P107_has_current_or_former_member']">                
                <xsl:variable name="psnid" select="substring-after(@target,' psn:')"/>
                <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-person?select=*.xml;recurse=no')//tei:person[@xml:id eq $psnid][tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]]">
                    <ecrm:P107_has_current_or_former_member>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-person?select=*.xml;recurse=no')//tei:person[@xml:id eq $psnid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                        </xsl:attribute>
                    </ecrm:P107_has_current_or_former_member>
                </xsl:if>
            </xsl:for-each>      
            
            <xsl:for-each select="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P74_has_current_or_former_residence']">                
                <xsl:variable name="plcid" select="substring-after(@target,' plc:')"/>
                <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid][tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]]">
                    <ecrm:P74_has_current_or_former_residence>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                        </xsl:attribute>
                    </ecrm:P74_has_current_or_former_residence>
                </xsl:if>
            </xsl:for-each>
            
            <xsl:call-template name="lit"/>
            
            <xsl:for-each select="tei:linkGrp/tei:link[@ana = 'http://purl.org/dc/elements/1.1/creator']">                
                <xsl:variable name="wrkid" select="substring-after(substring-before(@target,' '),'wrk:')"/>
                <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $wrkid][tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]]">
                    <foaf:made>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $wrkid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                        </xsl:attribute>
                    </foaf:made>
                </xsl:if>
            </xsl:for-each>
            
        </rdf:Description>
    </xsl:template>
    
    <!-- **************************** Personen: ************************************* -->
    
    <xsl:template match="tei:person[tei:idno[@type='URI']]">
        <rdf:Description>
            <xsl:attribute name="rdf:about">
                <xsl:value-of select="tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
            </xsl:attribute>
            
            <xsl:if test="tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                <xsl:if test="tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/ulan/')]">
                    <owl:sameAs>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/ulan/')][1]"/>
                        </xsl:attribute>
                    </owl:sameAs>
                </xsl:if>               
                <xsl:if test="tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')]">
                    <owl:sameAs>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')][1]"/>
                        </xsl:attribute>
                    </owl:sameAs>
                </xsl:if>
                <xsl:if test="tei:idno[@type='URI'][starts-with(.,'https://rkd.nl/')]">
                    <owl:sameAs>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="concat('http://data.rkd.nl/',substring-after(tei:idno[@type='URI'][starts-with(.,'https://rkd.nl/')][1],'/explore/'))"/>
                        </xsl:attribute>
                    </owl:sameAs>
                </xsl:if>
            </xsl:if>
            
            <xsl:for-each select="tei:idno[@type='URI'][not(contains(.,'://d-nb.info/gnd/'))][not(contains(.,'ta.sandrart.net'))][not(contains(.,'://www.wikidata.org/'))][not(starts-with(.,'http://vocab.getty.edu/ulan/'))][not(starts-with(.,'https://rkd.nl/'))]">
                <foaf:page>
                    <xsl:attribute name="rdf:resource" select="."/>
                </foaf:page>
            </xsl:for-each>
            
            <rdf:type rdf:resource="http://erlangen-crm.org/current/E21_Person"/>
            <rdf:type rdf:resource="http://xmlns.com/foaf/0.1/Person"/>
            <rdf:type rdf:resource="http://schema.org/Person"/>
            <rdf:type rdf:resource="http://www.wikidata.org/entity/Q5"/>  
            <rdf:type rdf:resource="http://www.w3.org/2002/07/owl#Thing"/> <!-- Domain für foaf:page -->
            
            <schema:mainEntityOfPage>https://hainhofer.hab.de/register/personen/<xsl:value-of select="@xml:id"/></schema:mainEntityOfPage>
            
            <rdfs:label>
                <xsl:value-of select="tei:persName[@type = 'preferred']/tei:term/*/normalize-space()"/>
            </rdfs:label>
            
            <xsl:call-template name="occurrences"/>
            
            <xsl:if test="tei:birth[@when-iso][not(@precision eq 'low')]">
                <schema:birthDate>
                    <xsl:value-of select="tei:birth/@when-iso"/>
                </schema:birthDate>
            </xsl:if>
            <xsl:choose>
                <xsl:when test="tei:birth[@when-iso]">  
                    <gndo:dateOfBirth rdf:datatype="http://www.w3.org/2001/XMLSchema#string">
                        <xsl:if test="tei:birth/@precision eq 'low'">
                            <xsl:text>ca. </xsl:text>
                        </xsl:if>
                        <xsl:choose>
                            <xsl:when test="substring(tei:birth/@when-iso, 1, 1) = '-'">                            
                                <xsl:value-of select="number(substring-after(tei:birth/@when-iso, '-')) + 1"/>
                                <xsl:text> v. Chr.</xsl:text>                            
                            </xsl:when>
                            <xsl:otherwise>                           
                                <xsl:value-of select="number(tei:birth/@when-iso)"/>                           
                            </xsl:otherwise>
                        </xsl:choose>
                    </gndo:dateOfBirth>
                </xsl:when>
                <xsl:when test="tei:birth/@notBefore-iso and tei:birth/@notAfter-iso">
                    <gndo:dateOfBirth rdf:datatype="http://www.w3.org/2001/XMLSchema#string">
                        <xsl:text>zwischen </xsl:text>
                        <xsl:if test="tei:birth/@precision eq 'low'">
                            <xsl:text>ca. </xsl:text>
                        </xsl:if>
                        <xsl:choose>
                            <xsl:when test="substring(tei:birth/@notBefore-iso, 1, 1) = '-'">
                                <xsl:value-of select="number(substring-after(tei:birth/@notBefore-iso, '-')) + 1"/>
                                <xsl:if test="substring(tei:birth/@notAfter-iso, 1, 1) != '-'">
                                    <xsl:text> v. Chr.</xsl:text>
                                </xsl:if>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:value-of select="number(tei:birth/@notBefore-iso)"/>
                            </xsl:otherwise>
                        </xsl:choose>
                        <xsl:text> und </xsl:text>
                        <xsl:choose>
                            <xsl:when test="substring(tei:birth/@notAfter-iso, 1, 1) = '-'">
                                <xsl:value-of select="number(substring-after(tei:birth/@notAfter-iso, '-')) + 1"/>
                                <xsl:text> v. Chr.</xsl:text>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:value-of select="number(tei:birth/@notAfter-iso)"/>
                                <xsl:if test="substring(tei:birth/@notBefore-iso, 1, 1) = '-'">
                                    <xsl:text> n. Chr.</xsl:text>
                                </xsl:if>
                            </xsl:otherwise>
                        </xsl:choose>
                    </gndo:dateOfBirth>
                </xsl:when>
            </xsl:choose>
            <xsl:if test="tei:death[@when-iso][not(@precision eq 'low')]">
                <schema:deathDate>
                    <xsl:value-of select="tei:death/@when-iso"/>
                </schema:deathDate>
            </xsl:if>
            <xsl:choose>
                <xsl:when test="tei:death/@when-iso">
                    <gndo:dateOfDeath rdf:datatype="http://www.w3.org/2001/XMLSchema#string">
                        <xsl:if test="tei:death/@precision eq 'low'">
                            <xsl:text>ca. </xsl:text>
                        </xsl:if>
                        <xsl:choose>
                            <xsl:when test="substring(tei:death/@when-iso, 1, 1) = '-'">
                                <xsl:value-of select="number(substring-after(tei:death/@when-iso, '-')) + 1"/>
                                <xsl:text> v. Chr.</xsl:text>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:value-of select="number(tei:death/@when-iso)"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </gndo:dateOfDeath>
                </xsl:when>
                <xsl:when test="tei:death/@notBefore-iso and tei:death/@notAfter-iso">
                    <gndo:dateOfDeath rdf:datatype="http://www.w3.org/2001/XMLSchema#string">
                        <xsl:text>zwischen </xsl:text>
                        <xsl:if test="tei:death/@precision eq 'low'">
                            <xsl:text>ca. </xsl:text>
                        </xsl:if>
                        <xsl:choose>
                            <xsl:when test="substring(tei:death/@notBefore-iso, 1, 1) = '-'">
                                <xsl:value-of select="number(substring-after(tei:death/@notBefore-iso, '-')) + 1"/>
                                <xsl:if test="substring(tei:death/@notAfter-iso, 1, 1) != '-'">
                                    <xsl:text> v. Chr.</xsl:text>
                                </xsl:if>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:value-of select="number(tei:death/@notBefore-iso)"/>
                            </xsl:otherwise>
                        </xsl:choose>
                        <xsl:text> und </xsl:text>
                        <xsl:choose>
                            <xsl:when test="substring(tei:death/@notAfter-iso, 1, 1) = '-'">
                                <xsl:value-of select="number(substring-after(tei:death/@notAfter-iso, '-')) + 1"/>
                                <xsl:text> v. Chr.</xsl:text>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:value-of select="number(tei:death/@notAfter-iso)"/>
                                <xsl:if test="substring(tei:death/@notBefore-iso, 1, 1) = '-'">
                                    <xsl:text> n. Chr.</xsl:text>
                                </xsl:if>
                            </xsl:otherwise>
                        </xsl:choose>
                    </gndo:dateOfDeath>
                </xsl:when>                                                  
            </xsl:choose>
            <xsl:if test="tei:floruit">
                <gndo:periodOfActivity rdf:datatype="http://www.w3.org/2001/XMLSchema#string">
                        <xsl:value-of select="normalize-space(tei:floruit)"/>
                </gndo:periodOfActivity>
            </xsl:if>
            
            <xsl:for-each select="tei:faith/tei:linkGrp/tei:link">
                <wdt:P140>
                    <xsl:attribute name="rdf:resource">
                        <xsl:value-of select="substring-after(@target,' ')"/>
                    </xsl:attribute>
                </wdt:P140>
            </xsl:for-each>
            
            <xsl:call-template name="lit"/>
            
            <!-- dauert lang; ggf. auskommentieren: -->
            <xsl:for-each select="tei:linkGrp/tei:link[@ana = 'http://purl.org/dc/elements/1.1/creator']">                
                <xsl:variable name="wrkid" select="substring-after(substring-before(@target,' '),'wrk:')"/>                
                <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $wrkid][tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]]">
                    <foaf:made>
                        <xsl:attribute name="rdf:resource">
                          <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $wrkid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                        </xsl:attribute>
                    </foaf:made>
                </xsl:if>
            </xsl:for-each>      
            
        </rdf:Description>
    </xsl:template>
    
    <!-- **************************** Objekte: ************************************* -->
    
    <xsl:template match="tei:item[tei:idno[@type='URI']]">
        <rdf:Description>
            <xsl:attribute name="rdf:about">
                <xsl:choose>
                    <xsl:when test="tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                        <xsl:value-of select="tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                    </xsl:when>
                    <xsl:when test="tei:idno[@type='URI'][contains(.,'ta.sandrart.net')]">
                        <xsl:value-of select="tei:idno[@type='URI'][contains(.,'ta.sandrart.net')][1]"/>
                    </xsl:when>
                </xsl:choose>
            </xsl:attribute>
            
            <xsl:if test="tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                <xsl:if test="tei:idno[@type='URI'][contains(.,'ta.sandrart.net')]">
                    <owl:sameAs>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="tei:idno[@type='URI'][contains(.,'ta.sandrart.net')][1]"/>
                        </xsl:attribute>
                    </owl:sameAs>
                </xsl:if>  
            </xsl:if>
            
            <xsl:for-each select="tei:idno[@type='URI'][not(contains(.,'://d-nb.info/gnd/'))][not(contains(.,'ta.sandrart.net'))][not(contains(.,'://www.wikidata.org/'))]">
                <foaf:page>
                    <xsl:attribute name="rdf:resource" select="."/>
                </foaf:page>
            </xsl:for-each>
            
            <rdf:type rdf:resource="http://erlangen-crm.org/current/E22_Human-Made_Object"/>
            <rdf:type rdf:resource="http://id.loc.gov/ontologies/bibframe/Instance"/>
            <rdf:type rdf:resource="http://schema.org/Thing"/>
            <rdf:type rdf:resource="http://www.w3.org/2002/07/owl#Thing"/> <!-- Range für foaf:made -->
            
            <schema:mainEntityOfPage>https://hainhofer.hab.de/register/objekte/<xsl:value-of select="@xml:id"/></schema:mainEntityOfPage>
            
            <rdfs:label>
                
                <xsl:if test="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location'] and tei:objectType[@n eq '1'][@ref eq '#architektur']">
                    <xsl:choose>
                        <xsl:when test="starts-with(substring-after(tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' '), '#')">
                            <xsl:variable name="workid" select="substring-after(tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' #')"/>
                            <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']">
                                <xsl:choose>
                                    <xsl:when test="starts-with(substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' '), '#')">
                                        <xsl:variable name="workid" select="substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' #')"/>
                                        <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']">
                                            <xsl:variable name="placeid" select="substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' plc:')"/>
                                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                            <xsl:text>, </xsl:text>
                                        </xsl:if>
                                        <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:name[@type = 'preferred']/tei:term"/>
                                    </xsl:when>
                                    <xsl:when test="starts-with(substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' '), 'plc:')">
                                        <xsl:variable name="placeid" select="substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' plc:')"/>
                                        <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                    </xsl:when>
                                </xsl:choose>
                                <xsl:text>, </xsl:text>
                            </xsl:if>
                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:name[@type = 'preferred']/tei:term"/>
                            <xsl:text>, </xsl:text>
                        </xsl:when>
                        <xsl:when test="starts-with(substring-after(tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' '), 'plc:')">
                            <xsl:variable name="placeid" select="substring-after(tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' plc:')"/>
                            <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']">
                                <xsl:choose>
                                    <xsl:when test="starts-with(substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' '), '#')">
                                        <xsl:variable name="placeid" select="substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' #')"/>
                                        <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']">
                                            <xsl:variable name="placeid" select="substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' #')"/>
                                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                            <xsl:text>, </xsl:text>
                                        </xsl:if>
                                        <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                    </xsl:when>
                                    <xsl:when test="starts-with(substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' '), 'wrk:')">
                                        <xsl:variable name="workid" select="substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' wrk:')"/>
                                        <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']">
                                            <xsl:variable name="placeid" select="substring-after(collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' plc:')"/>
                                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                            <xsl:text>, </xsl:text>
                                        </xsl:if>
                                        <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $workid]/tei:name[@type = 'preferred']/tei:term"/>
                                    </xsl:when>
                                </xsl:choose>
                                <xsl:text>, </xsl:text>
                            </xsl:if>
                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $placeid]/tei:placeName[@type = 'preferred']/tei:term"/>
                            <xsl:text>, </xsl:text>
                        </xsl:when>
                    </xsl:choose>
                </xsl:if>
                <xsl:value-of select="tei:name[@type = 'preferred']/tei:term/normalize-space()"/>
                
            </rdfs:label>
            
            <xsl:call-template name="occurrences"/>
            
            <xsl:call-template name="lit"/>
            
            <xsl:if test="starts-with(tei:orgName/@ref,'http://d-nb.info/gnd/')">
                <ecrm:P50_has_current_keeper>
                    <xsl:attribute name="rdf:resource">
                        <xsl:value-of select="tei:orgName/@ref"/>
                    </xsl:attribute>
                </ecrm:P50_has_current_keeper>
            </xsl:if>
            <xsl:if test="starts-with(tei:placeName/@ref,'http://d-nb.info/gnd/')">
                <ecrm:P55_has_current_location>
                    <xsl:attribute name="rdf:resource">
                        <xsl:value-of select="tei:placeName/@ref"/>
                    </xsl:attribute>
                </ecrm:P55_has_current_location>
            </xsl:if>
            
            <xsl:if test="tei:date[@precision eq 'high'][@when-iso]">
                <schema:dateCreated>
                    <xsl:value-of select="tei:date/@when-iso"/>
                </schema:dateCreated>
            </xsl:if>
            
            <xsl:if test="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']">
                <xsl:for-each select="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']">
                    <xsl:choose>
                        <xsl:when test="starts-with(substring-after(@target, ' '), 'plc:')">    
                            <xsl:variable name="plcid" select="substring-after(@target, ' plc:')"/>
                            <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                                <ecrm:P53_has_former_or_current_location>
                                    <xsl:attribute name="rdf:resource">
                                        <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                                    </xsl:attribute>
                                </ecrm:P53_has_former_or_current_location>
                            </xsl:if>
                        </xsl:when>
                        <xsl:when test="starts-with(substring-after(@target, ' '), '#')">    
                            <xsl:variable name="wrkid" select="substring-after(@target, ' #')"/>
                            <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $wrkid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                                <ecrm:P53_has_former_or_current_location>
                                    <xsl:attribute name="rdf:resource">
                                        <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $wrkid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                                    </xsl:attribute>
                                </ecrm:P53_has_former_or_current_location>
                            </xsl:if>
                        </xsl:when>
                    </xsl:choose>
                </xsl:for-each>
            </xsl:if>
            
            <xsl:if test="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53i_is_former_or_current_location_of']">
                <xsl:for-each select="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53i_is_former_or_current_location_of']">
                    <xsl:choose>
                        <xsl:when test="starts-with(substring-after(@target, ' '), 'plc:')">    
                            <xsl:variable name="plcid" select="substring-after(@target, ' plc:')"/>
                            <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                                <ecrm:P53i_is_former_or_current_location_of>
                                    <xsl:attribute name="rdf:resource">
                                        <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                                    </xsl:attribute>
                                </ecrm:P53i_is_former_or_current_location_of>
                            </xsl:if>
                        </xsl:when>
                        <xsl:when test="starts-with(substring-after(@target, ' '), '#')">    
                            <xsl:variable name="wrkid" select="substring-after(@target, ' #')"/>
                            <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $wrkid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                                <ecrm:P53i_is_former_or_current_location_of>
                                    <xsl:attribute name="rdf:resource">
                                        <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $wrkid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                                    </xsl:attribute>
                                </ecrm:P53i_is_former_or_current_location_of>
                            </xsl:if>
                        </xsl:when>
                    </xsl:choose>
                </xsl:for-each>
            </xsl:if>
            
            <xsl:if test="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P62_depicts']">
                <xsl:for-each select="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P62_depicts']">
                    <xsl:choose>
                        <xsl:when test="starts-with(substring-after(@target, ' '), 'plc:')">    
                            <xsl:variable name="plcid" select="substring-after(@target, ' plc:')"/>
                            <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                                <ecrm:P62_depicts>
                                    <xsl:attribute name="rdf:resource">
                                        <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//tei:place[@xml:id eq $plcid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                                    </xsl:attribute>
                                </ecrm:P62_depicts>
                            </xsl:if>
                        </xsl:when>
                        <xsl:when test="starts-with(substring-after(@target, ' '), '#')">    
                            <xsl:variable name="wrkid" select="substring-after(@target, ' #')"/>
                            <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $wrkid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                                <ecrm:P62_depicts>
                                    <xsl:attribute name="rdf:resource">
                                        <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//tei:item[@xml:id eq $wrkid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                                    </xsl:attribute>
                                </ecrm:P62_depicts>
                            </xsl:if>
                        </xsl:when>
                        <xsl:when test="starts-with(substring-after(@target, ' '), 'psn:')">    
                            <xsl:variable name="psnid" select="substring-after(@target, ' psn:')"/>
                            <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-person?select=*.xml;recurse=no')//*[@xml:id eq $psnid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                                <ecrm:P62_depicts>
                                    <xsl:attribute name="rdf:resource">
                                        <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-person?select=*.xml;recurse=no')//*[@xml:id eq $psnid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                                    </xsl:attribute>
                                </ecrm:P62_depicts>
                            </xsl:if>
                        </xsl:when>
                    </xsl:choose>
                </xsl:for-each>
            </xsl:if>
            
            <xsl:if test="tei:desc/tei:term">
                <xsl:for-each select="tei:desc/tei:term[@ref ne '']">
                    <bf:subject>
                        <xsl:attribute name="rdf:resource">
                            <xsl:value-of select="@ref"/>
                        </xsl:attribute>
                    </bf:subject>
                </xsl:for-each>
            </xsl:if>
            
        </rdf:Description>
    </xsl:template>
    
    <xsl:template name="occurrences">
        
        <xsl:variable name="transcrpath">https://hainhofer.hab.de/reiseberichte/</xsl:variable>        
        
        <xsl:choose>
            <xsl:when test="tei:listBibl[@type = 'occurrences'][@subtype]/tei:bibl/text()">
                <xsl:for-each select="tei:listBibl[@type = 'occurrences'][@subtype]/tei:bibl">
                    <xsl:sort select="."/>
                    <xsl:variable name="pagenum" select="substring-before(substring-after(., 'fol. '),':')"/>                   
                    <xsl:if test="not(preceding-sibling::tei:bibl[substring-before(.,'fol.') eq current()/substring-before(.,'fol.')][substring-before(substring-after(., 'fol. '),':') eq $pagenum])">
                        <ecrm:P67i_is_referred_to_by>
                            <xsl:attribute name="rdf:resource">
                                
                                <xsl:value-of select="concat($transcrpath, replace(replace(replace(replace(replace(substring-before(lower-case(.),', fol. '),'[\s|/]',''),'ü','ue'),'ä','ae'),'ö','oe'),'–','_'), '#fol', $pagenum)"/>                                                 
                            </xsl:attribute>
                        </ecrm:P67i_is_referred_to_by>
                    </xsl:if>                    
                </xsl:for-each>
            </xsl:when>
            <xsl:when test="tei:listBibl[@type = 'occurrences'][not(@subtype)]/tei:bibl/text()">
                <xsl:for-each select="tei:listBibl[@type = 'occurrences'][not(@subtype)]/tei:bibl">
                    <xsl:sort select="."/>
                    <xsl:variable name="pagenum" select="substring-after(., 'fol. ')"/>
                    <xsl:if test="not(preceding-sibling::tei:bibl[substring-before(substring-after(., 'fol. '),':') eq $pagenum])">
                        <ecrm:P67i_is_referred_to_by>
                            <xsl:attribute name="rdf:resource">
                                <xsl:value-of select="concat($transcrpath, replace(replace(replace(replace(replace(substring-before(lower-case(.),', fol. '),'[\s|/]',''),'ü','ue'),'ä','ae'),'ö','oe'),'–','_'), '#fol', $pagenum)"/>                                                   
                            </xsl:attribute>
                        </ecrm:P67i_is_referred_to_by>
                    </xsl:if>
                </xsl:for-each>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
    
    <!-- Literaturangaben: -->
    
    <xsl:template name="lit">
        <xsl:for-each select="tei:listBibl[@type='references']/tei:bibl">
            <xsl:variable name="litid" select="substring-after(tei:ptr/@target,'lit:')"/>           
            <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/bibliography?select=*.xml;recurse=no')//tei:bibl[@xml:id eq $litid]/tei:ptr[matches(@type, 'gbv|opac')]">                
                <ecrm:P70i_is_documented_in>
                    <xsl:attribute name="rdf:resource">
                        
                        <xsl:value-of select="concat('http://uri.gbv.de/document/gvk:ppn:',collection('file://///C:/Users/iglesia/Documents/Register/bibliography?select=*.xml;recurse=no')//tei:bibl[@xml:id eq $litid]/tei:ptr[matches(@type, 'gbv|opac')][1]/@cRef/normalize-space())"/>
                    </xsl:attribute>
                </ecrm:P70i_is_documented_in>
            </xsl:if>
            <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/bibliography?select=*.xml;recurse=no')//tei:bibl[@xml:id eq $litid]/tei:ptr[matches(@type, '^bvb$')]">                
                <ecrm:P70i_is_documented_in>
                    <xsl:attribute name="rdf:resource">
                        
                        <xsl:value-of select="concat('https://gateway-bayern.de/',collection('file://///C:/Users/iglesia/Documents/Register/bibliography?select=*.xml;recurse=no')//tei:bibl[@xml:id eq $litid]/tei:ptr[matches(@type, '^bvb$')][1]/@cRef/normalize-space())"/>
                    </xsl:attribute>
                </ecrm:P70i_is_documented_in>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    
    <!-- Entitäten, die Philipp Hainhofer gesehen (statt nur erwähnt) hat: -->
    
    <xsl:template name="hasmet">
        <rdf:Description rdf:about="http://d-nb.info/gnd/118700804">
            <rdf:type rdf:resource="http://www.europeana.eu/schemas/edm/Agent"/>
            <xsl:variable name="idcontainer">
                <xsl:for-each select="collection('file://///C:/Users/iglesia/Documents/XML-Dateien?select=*.xml;recurse=no')//tei:rs[@role='present']">
                    <xsl:variable name="objectid" select="substring-after(@ref,':')"/>
                    <xsl:choose>
                        <xsl:when test="@type eq 'person'">
                            <xsl:if test="collection('file://///C:/Users/iglesia/Documents/Register/register-person?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                                <edm:hasMet>
                                    <xsl:attribute name="rdf:resource">
                                        <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-person?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                                    </xsl:attribute>
                                </edm:hasMet>
                            </xsl:if>
                        </xsl:when>
                        <xsl:when test="@type eq 'work'">
                            <xsl:choose>                                
                                <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                                    <edm:hasMet>
                                        <xsl:attribute name="rdf:resource">
                                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                                        </xsl:attribute>
                                    </edm:hasMet>
                                </xsl:when>
                                <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'ta.sandrart.net')]">
                                    <edm:hasMet>
                                        <xsl:attribute name="rdf:resource">
                                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-work?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'ta.sandrart.net')][1]"/>
                                        </xsl:attribute>
                                    </edm:hasMet>
                                </xsl:when>
                            </xsl:choose>
                        </xsl:when>
                        <xsl:when test="@type eq 'org'">
                            <xsl:choose>                              
                                <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-org?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                                    <edm:hasMet>
                                        <xsl:attribute name="rdf:resource">
                                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-org?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                                        </xsl:attribute>
                                    </edm:hasMet>
                                </xsl:when>
                                <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-org?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'://www.wikidata.org/')]">
                                    <edm:hasMet>
                                        <xsl:attribute name="rdf:resource">
                                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-org?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'://www.wikidata.org/')][1]"/>
                                        </xsl:attribute>
                                    </edm:hasMet>
                                </xsl:when>
                            </xsl:choose>
                        </xsl:when>
                        <xsl:when test="@type eq 'place'">    
                            <xsl:choose>
                                <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')]">
                                    <edm:hasMet>
                                        <xsl:attribute name="rdf:resource">
                                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'://d-nb.info/gnd/')][1]"/>
                                        </xsl:attribute>
                                    </edm:hasMet>
                                </xsl:when>
                                <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'://sws.geonames.org/')]">
                                    <edm:hasMet>
                                        <xsl:attribute name="rdf:resource">
                                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][contains(.,'://sws.geonames.org/')][1]"/>
                                        </xsl:attribute>
                                    </edm:hasMet>
                                </xsl:when>
                                <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/tgn/')]">
                                    <edm:hasMet>
                                        <xsl:attribute name="rdf:resource">
                                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][starts-with(.,'http://vocab.getty.edu/tgn/')][1]"/>
                                        </xsl:attribute>
                                    </edm:hasMet>
                                </xsl:when>
                                <xsl:when test="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')]">
                                    <edm:hasMet>
                                        <xsl:attribute name="rdf:resource">
                                            <xsl:value-of select="collection('file://///C:/Users/iglesia/Documents/Register/register-place?select=*.xml;recurse=no')//*[@xml:id eq $objectid]/tei:idno[@type='URI'][starts-with(.,'http://ta.sandrart.net/')][1]"/>
                                        </xsl:attribute>
                                    </edm:hasMet>
                                </xsl:when>
                            </xsl:choose>
                        </xsl:when>
                    </xsl:choose>
                </xsl:for-each>
            </xsl:variable>
            <xsl:for-each select="$idcontainer/edm:hasMet">
                <xsl:if test="not(preceding-sibling::edm:hasMet[@rdf:resource eq current()/@rdf:resource])">
                    <xsl:copy-of select="current()"/>
                </xsl:if>
            </xsl:for-each>
        </rdf:Description>
    </xsl:template>
    
</xsl:stylesheet>
