<?xml version="1.0" encoding="UTF-8"?>
<!-- Dieses Stylesheet wird auf eine mittels generate_lod.xsl erzeugte RDF/XML-Datei angewendet, um die darin enthaltenen RDF-Objekte mittels rdf:type Klassen zuzuweisen. Die so erzeugten RDF-Statements sind ans Ende der RDF/XML-Datei anzufügen. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:bf="http://id.loc.gov/ontologies/bibframe/" xmlns:ecrm="http://erlangen-crm.org/current/" xmlns:edm="http://www.europeana.eu/schemas/edm/" xmlns:foaf="http://xmlns.com/foaf/0.1/" xmlns:frbr="http://purl.org/vocab/frbr/core#" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:schema="http://schema.org/" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:wdt="http://www.wikidata.org/prop/direct/" exclude-result-prefixes="bf ecrm edm foaf frbr rdf rdfs schema wdt xs tei" version="2.0">
    
    <xsl:template match="/">
        <xsl:result-document indent="yes" href="hainhofer-lod_obj_types.xml"> <!-- Diese Datei wird nur als Zwischenspeicher verwendet. Letztendlich soll sie in hainhofer-lod.xml integriert werden. -->
            
            <!-- Für das Prädikat edm:hasMet ist keine Range spezifiziert, so dass dessen Objekten hier keine Klasse zugewiesen wird. -->
            
            <rdf:RDF>
                <xsl:for-each select="//ecrm:P67i_is_referred_to_by">
                    <xsl:sort select="@rdf:resource"/>
                    <xsl:if test="not(preceding::ecrm:P67i_is_referred_to_by[@rdf:resource eq current()/@rdf:resource])">
                        <rdf:Description>
                            <xsl:attribute name="rdf:about">
                                <xsl:value-of select="@rdf:resource"/>
                            </xsl:attribute>
                            <rdf:type rdf:resource="http://erlangen-crm.org/current/E31_Document"/>
                        </rdf:Description>
                    </xsl:if>
                </xsl:for-each>
                <xsl:for-each select="//ecrm:P70i_is_documented_in">
                    <xsl:sort select="@rdf:resource"/>                    
                    <xsl:if test="not(preceding::ecrm:P70i_is_documented_in[@rdf:resource eq current()/@rdf:resource])">
                        <rdf:Description>
                            <xsl:attribute name="rdf:about">
                                <xsl:value-of select="@rdf:resource"/>
                            </xsl:attribute>
                            <rdf:type rdf:resource="http://erlangen-crm.org/current/E31_Document"/>
                        </rdf:Description>
                    </xsl:if>
                </xsl:for-each>
                <xsl:for-each select="//ecrm:P50_has_current_keeper">                    <xsl:sort select="@rdf:resource"/>
                    <xsl:if test="not(preceding::*[@rdf:resource eq current()/@rdf:resource or @rdf:about eq current()/@rdf:resource])">
                        <rdf:Description>
                            <xsl:attribute name="rdf:about">
                                <xsl:value-of select="@rdf:resource"/>
                            </xsl:attribute>
                            <rdf:type rdf:resource="http://erlangen-crm.org/current/E39_Actor"/>
                        </rdf:Description>
                    </xsl:if>
                </xsl:for-each>
                <xsl:for-each select="//ecrm:P55_has_current_location">                    
                    <xsl:sort select="@rdf:resource"/>
                    <xsl:if test="not(preceding::*[@rdf:resource eq current()/@rdf:resource or @rdf:about eq current()/@rdf:resource])">
                        <rdf:Description>
                            <xsl:attribute name="rdf:about">
                                <xsl:value-of select="@rdf:resource"/>
                            </xsl:attribute>
                            <rdf:type rdf:resource="http://erlangen-crm.org/current/E53_Place"/>
                        </rdf:Description>
                    </xsl:if>
                </xsl:for-each>
                <xsl:for-each select="//foaf:page">                    
                    <xsl:sort select="@rdf:resource"/>
                    <xsl:if test="not(preceding::*[@rdf:resource eq current()/@rdf:resource or @rdf:about eq current()/@rdf:resource])">
                        <rdf:Description>
                            <xsl:attribute name="rdf:about">
                                <xsl:value-of select="@rdf:resource"/>
                            </xsl:attribute>
                            <rdf:type rdf:resource="http://xmlns.com/foaf/0.1/Document"/>
                        </rdf:Description>
                    </xsl:if>
                </xsl:for-each>
            </rdf:RDF>
        </xsl:result-document>
    </xsl:template>
    
</xsl:stylesheet>