<?xml version="1.0" encoding="UTF-8"?>
<!-- Dieses Stylesheet erzeugt aus den TEI/XML-Dateien des Körperschaftsregisters eine alphabetisch sortierte XHTML-Gesamtliste. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:exsl="http://exslt.org/common"
    extension-element-prefixes="exsl" exclude-result-prefixes="tei xhtml xs" version="2.0">
    <xsl:output method="xhtml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" indent="yes"/>
    
    <!-- Hier den Ordnerpfad angeben (Pfade werden beim Upload nach WordPress automatisch umgeschrieben): -->
    <xsl:variable name="orgpath">org/</xsl:variable>
    
    <xsl:template match="/">
        <xsl:result-document href="../../HTML-Dateien/org-list.xhtml">
            <html xmlns="http://www.w3.org/1999/xhtml">
                <head>
                    <link rel="stylesheet" type="text/css" href="org/org-output.css"/>
                    <title>Körperschaftsregister</title>
                </head>
                <body xmlns="http://www.w3.org/1999/xhtml">
                    
                    <xsl:variable name="tablerows">
                        <table>
                            <xsl:for-each select="(document('../Register/register-org/register-org-a.xml')|document('../Register/register-org/register-org-b.xml')|document('../Register/register-org/register-org-c.xml')|document('../Register/register-org/register-org-d.xml')|document('../Register/register-org/register-org-e.xml')|document('../Register/register-org/register-org-f.xml')|document('../Register/register-org/register-org-g.xml')|document('../Register/register-org/register-org-h.xml')|document('../Register/register-org/register-org-i.xml')|document('../Register/register-org/register-org-j.xml')|document('../Register/register-org/register-org-k.xml')|document('../Register/register-org/register-org-l.xml')|document('../Register/register-org/register-org-m.xml')|document('../Register/register-org/register-org-n.xml')|document('../Register/register-org/register-org-o.xml')|document('../Register/register-org/register-org-p.xml')|document('../Register/register-org/register-org-qr.xml')|document('../Register/register-org/register-org-s.xml')|document('../Register/register-org/register-org-t.xml')|document('../Register/register-org/register-org-u.xml')|document('../Register/register-org/register-org-v.xml')|document('../Register/register-org/register-org-w.xml')|document('../Register/register-org/register-org-xyz.xml'))//tei:listOrg/tei:org[@xml:id ne '']/tei:orgName">
                                <xsl:sort select="tei:term/@sortKey"/>
                                
                                <xsl:choose>
                                    <xsl:when test="@type = 'preferred'">
                                        <tr xmlns="http://www.w3.org/1999/xhtml">
                                            <td class="gesamtliste">
                                                <a>
                                                    <xsl:attribute name="href">
                                                        <xsl:value-of select="concat($orgpath, ../@xml:id, '.xhtml')"/>
                                                    </xsl:attribute>                           
                                                    <xsl:value-of select="tei:term"/>
                                                </a>
                                            </td>
                                        </tr>
                                    </xsl:when>
                                    <xsl:when test="@type = 'variant'">
                                        <tr xmlns="http://www.w3.org/1999/xhtml">
                                            <td class="gesamtliste">
                                                <xsl:value-of select="tei:term"/>                           
                                                <xsl:text> → </xsl:text>
                                                <a>
                                                    <xsl:attribute name="href">
                                                        <xsl:value-of select="concat($orgpath, ../@xml:id, '.xhtml')"/>
                                                    </xsl:attribute>                           
                                                    <xsl:value-of select="../tei:orgName[@type = 'preferred']/tei:term"/>
                                                </a>
                                            </td>
                                        </tr>
                                    </xsl:when>
                                </xsl:choose>    
                                
                            </xsl:for-each>
                        </table>
                    </xsl:variable>
                    <table>
                        <xsl:for-each select="$tablerows/xhtml:table/xhtml:tr">
                            <xsl:sort select="replace(replace(replace(replace(lower-case(.), 'ä', 'ae'), 'ö', 'oe'), 'ü', 'ue'), '\W','')" lang="de"/> 
                            <xsl:copy-of select="."/>
                        </xsl:for-each>
                    </table>                    
                </body>
            </html>
        </xsl:result-document>
    </xsl:template>
    
</xsl:stylesheet>
