<?xml version="1.0" encoding="UTF-8"?>
<!-- Dieses Stylesheet erzeugt aus allen TEI/XML-Dateien des Ortsregisters pro Registereintrag jeweils eine einzelne XHTML-Datei.
Es generiert Links zu den Reiseberichten und den anderen Registern sowie ggf. zu Bildern; zu diesem Zweck müssen die entsprechenden Dateien an den angegebenen Orten vorhanden sein.-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:xs="http://www.w3.org/2001/XMLSchema" exclude-result-prefixes="tei xhtml xs" version="2.0">
    <xsl:output method="xhtml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" indent="yes"/>
    <xsl:strip-space elements="tei:bibl"/>
    
    <!-- Hier die Dateipfade angeben (werden beim Upload nach WordPress automatisch umgeschrieben): -->
    <xsl:variable name="transcrpath">../</xsl:variable>
    <xsl:variable name="psnpath">../psn/</xsl:variable>
    <xsl:variable name="litpath">../lit/</xsl:variable>
    <xsl:variable name="wrkpath">../wrk/</xsl:variable>
    <xsl:variable name="orgpath">../org/</xsl:variable>
    <xsl:variable name="imgpath">https://hainhofer.hab.de/img/register/</xsl:variable>
    
    <xsl:template match="/">
        <xsl:apply-templates select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))/tei:TEI/tei:text/tei:body/tei:listPlace"/>
    </xsl:template>
    
    <xsl:template match="tei:listPlace">
        <xsl:apply-templates select="tei:place"/>
    </xsl:template>
    
    <xsl:template match="tei:place">
        <xsl:result-document href="../../HTML-Dateien/plc/{@xml:id}.xhtml">
            <!-- Dieser Pfad file:////fpserver.hab.de/handschriften/Projekte/Hainhofer/Edition gilt nur bei VPN-Zugriff. Andernfalls: href="file:////FPSERVER/handschriften/Projekte/Hainhofer/Edition/HTML-Dateien/plc/{@xml:id}.xhtml"-->
            <html xmlns="http://www.w3.org/1999/xhtml">
                <head>
                    <link rel="stylesheet" type="text/css" href="plc-output.css"/>
                    <title>Ortsregister – <xsl:value-of select="tei:placeName[@type = 'preferred']/tei:term"/></title>
                </head>
                <body>
                    <xsl:if test="tei:note/tei:graphic">
                        <div class="images">
                            <xsl:for-each select="tei:note/tei:graphic">                           
                                <div class="imagecontainer">
                                    <img class="image">
                                        <xsl:attribute name="src" select="concat($imgpath, substring-after(@url, 'img:'))"/>
                                        <xsl:attribute name="alt">
                                            <!--<xsl:choose>
                                                <xsl:when test="tei:desc/tei:label">
                                                <xsl:value-of select="tei:desc/tei:label"/>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                <xsl:value-of select="../tei:placeName[@type = 'preferred']/tei:term"/>
                                                </xsl:otherwise>
                                                </xsl:choose>-->
                                        </xsl:attribute>
                                    </img>
                                    <div class="caption">
                                        <xsl:value-of select="tei:desc/tei:label"/>
                                    </div>
                                    <div class="license">
                                        <xsl:choose>
                                            <xsl:when test="tei:desc/tei:ref">
                                                <a>
                                                    <xsl:attribute name="href">
                                                        <xsl:value-of select="tei:desc/tei:ref/@target"/>
                                                    </xsl:attribute>
                                                    <xsl:value-of select="tei:desc/tei:ref"/>
                                                </a>
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <xsl:value-of select="tei:desc/text()"/>
                                            </xsl:otherwise>
                                        </xsl:choose>
                                    </div>
                                </div>
                                
                            </xsl:for-each>
                        </div>
                    </xsl:if>
                    <div class="text">                        
                        <h1 class="prefname">
                            <xsl:if test="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']">
                                <xsl:choose>
                                    <xsl:when test="starts-with(substring-after(tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' '), '#')">
                                        <xsl:variable name="containsid" select="substring-after(tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' #')"/>
                                        <xsl:if test="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $containsid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']">
                                            <xsl:variable name="containsid2" select="substring-after((document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $containsid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' #')"/>
                                            <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $containsid2]/tei:placeName[@type = 'preferred']/tei:term"/>
                                            <xsl:text>, </xsl:text>
                                        </xsl:if>
                                        <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $containsid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                        <xsl:text>, </xsl:text>
                                        
                                    </xsl:when>
                                    <xsl:when test="starts-with(substring-after(tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' '), 'wrk:')">
                                        <xsl:variable name="workid" select="substring-after(tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' wrk:')"/>
                                        <xsl:if test="(document('../Register/register-work/register-work-a.xml')|document('../Register/register-work/register-work-b.xml')|document('../Register/register-work/register-work-c.xml')|document('../Register/register-work/register-work-d.xml')|document('../Register/register-work/register-work-e.xml')|document('../Register/register-work/register-work-f.xml')|document('../Register/register-work/register-work-g.xml')|document('../Register/register-work/register-work-h.xml')|document('../Register/register-work/register-work-i.xml')|document('../Register/register-work/register-work-j.xml')|document('../Register/register-work/register-work-k.xml')|document('../Register/register-work/register-work-l.xml')|document('../Register/register-work/register-work-m.xml')|document('../Register/register-work/register-work-n.xml')|document('../Register/register-work/register-work-o.xml')|document('../Register/register-work/register-work-p.xml')|document('../Register/register-work/register-work-qr.xml')|document('../Register/register-work/register-work-s.xml')|document('../Register/register-work/register-work-t.xml')|document('../Register/register-work/register-work-u.xml')|document('../Register/register-work/register-work-v.xml')|document('../Register/register-work/register-work-w.xml')|document('../Register/register-work/register-work-xyz.xml'))//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']">
                                            <xsl:variable name="containsid2" select="substring-after((document('../Register/register-work/register-work-a.xml')|document('../Register/register-work/register-work-b.xml')|document('../Register/register-work/register-work-c.xml')|document('../Register/register-work/register-work-d.xml')|document('../Register/register-work/register-work-e.xml')|document('../Register/register-work/register-work-f.xml')|document('../Register/register-work/register-work-g.xml')|document('../Register/register-work/register-work-h.xml')|document('../Register/register-work/register-work-i.xml')|document('../Register/register-work/register-work-j.xml')|document('../Register/register-work/register-work-k.xml')|document('../Register/register-work/register-work-l.xml')|document('../Register/register-work/register-work-m.xml')|document('../Register/register-work/register-work-n.xml')|document('../Register/register-work/register-work-o.xml')|document('../Register/register-work/register-work-p.xml')|document('../Register/register-work/register-work-qr.xml')|document('../Register/register-work/register-work-s.xml')|document('../Register/register-work/register-work-t.xml')|document('../Register/register-work/register-work-u.xml')|document('../Register/register-work/register-work-v.xml')|document('../Register/register-work/register-work-w.xml')|document('../Register/register-work/register-work-xyz.xml'))//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' plc:')"/>
                                            <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $containsid2]/tei:placeName[@type = 'preferred']/tei:term"/>
                                            <xsl:text>, </xsl:text>
                                        </xsl:if>
                                        <xsl:value-of select="(document('../Register/register-work/register-work-a.xml')|document('../Register/register-work/register-work-b.xml')|document('../Register/register-work/register-work-c.xml')|document('../Register/register-work/register-work-d.xml')|document('../Register/register-work/register-work-e.xml')|document('../Register/register-work/register-work-f.xml')|document('../Register/register-work/register-work-g.xml')|document('../Register/register-work/register-work-h.xml')|document('../Register/register-work/register-work-i.xml')|document('../Register/register-work/register-work-j.xml')|document('../Register/register-work/register-work-k.xml')|document('../Register/register-work/register-work-l.xml')|document('../Register/register-work/register-work-m.xml')|document('../Register/register-work/register-work-n.xml')|document('../Register/register-work/register-work-o.xml')|document('../Register/register-work/register-work-p.xml')|document('../Register/register-work/register-work-qr.xml')|document('../Register/register-work/register-work-s.xml')|document('../Register/register-work/register-work-t.xml')|document('../Register/register-work/register-work-u.xml')|document('../Register/register-work/register-work-v.xml')|document('../Register/register-work/register-work-w.xml')|document('../Register/register-work/register-work-xyz.xml'))//tei:item[@xml:id eq $workid]/tei:name[@type = 'preferred']/tei:term"/>
                                        <xsl:text>, </xsl:text>
                                        
                                    </xsl:when>
                                </xsl:choose>                                
                                
                            </xsl:if>
                            <xsl:value-of select="tei:placeName[@type = 'preferred']/tei:term"/>
                        </h1>
                        
                        <xsl:if test="tei:placeName[@type = 'variant']">   
                            <div class="variantcontainer">
                                <xsl:choose>
                                    <xsl:when test="count(tei:placeName[@type = 'variant']) > 1">
                                        <h2 class="variantnameprefix">Andere Namen</h2>
                                        <ul class="variantnames">       
                                            <xsl:for-each select="tei:placeName[@type = 'variant']">
                                                <li class="variantname">
                                                    <xsl:value-of select="tei:term"/>                                                   
                                                </li>
                                            </xsl:for-each>
                                        </ul>
                                    </xsl:when>                                    
                                    <xsl:otherwise>
                                        <h2 class="variantnameprefix">Anderer Name</h2>
                                        <p class="variantnames"><xsl:value-of select="tei:placeName[@type = 'variant']/tei:term"/></p>
                                    </xsl:otherwise>
                                </xsl:choose>   
                            </div>
                        </xsl:if>
                        <xsl:if test="tei:idno">
                            <div class="uricontainer">
                                <h2 class="urishead">Externe Ressourcen</h2>
                                <ul class="uris">                            
                                    <xsl:for-each select="tei:idno">
                                        <xsl:sort select="."/>
                                        <li>
                                            <xsl:choose>
                                                <xsl:when test="matches(., 'geonames')">
                                                    <xsl:text>GeoNames: </xsl:text>
                                                    <a>
                                                        <xsl:attribute name="href" select="."/>
                                                        <xsl:value-of select="substring-before(substring-after(., 'geonames.org/'), '/')"/>
                                                    </a>
                                                </xsl:when>
                                                <xsl:when test="matches(., 'd-nb.info/gnd/')">
                                                    <xsl:text>Gemeinsame Normdatei (GND): </xsl:text>
                                                    <a>
                                                        <xsl:attribute name="href" select="."/>
                                                        <xsl:value-of select="substring-after(., 'd-nb.info/gnd/')"/>
                                                    </a>
                                                </xsl:when>
                                                <xsl:when test="matches(., 'vocab.getty.edu/tgn')">
                                                    <xsl:text>Getty Thesaurus of Geographic Names (TGN): </xsl:text>
                                                    <a>
                                                        <xsl:attribute name="href" select="concat('http://vocab.getty.edu/page/tgn/', substring-after(., 'vocab.getty.edu/tgn/'))"/>
                                                        <xsl:value-of select="substring-after(., 'vocab.getty.edu/tgn/')"/>
                                                    </a>
                                                </xsl:when>
                                                <xsl:when test="matches(., 'ta.sandrart.net')">
                                                    <xsl:text>Sandrart.net: </xsl:text>
                                                    <a>
                                                        <xsl:attribute name="href" select="."/>
                                                        <xsl:value-of select="substring-after(., '-place-')"/>
                                                    </a>
                                                </xsl:when>
                                            </xsl:choose>
                                        </li>
                                    </xsl:for-each>
                                </ul>
                            </div>
                        </xsl:if>
                        <xsl:if test="tei:note[@subtype = 'desc']">
                            <div class="desc">                                
                                <xsl:choose>
                                    <xsl:when test="tei:note[@subtype = 'desc']/tei:p">
                                        <h2 class="deschead">Weitere Angaben</h2>
                                        <xsl:apply-templates select="tei:note[@subtype = 'desc']"/>        
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <h2 class="descprefix">Weitere Angaben</h2>
                                        <p><xsl:apply-templates select="tei:note[@subtype = 'desc']"/></p>
                                    </xsl:otherwise>
                                </xsl:choose>                                                                    
                            </div>
                        </xsl:if>
                        <xsl:if test="tei:note[@subtype = 'commentary']">
                            <div class="commentary">                                
                                <xsl:choose>
                                    <xsl:when test="tei:note[@subtype = 'commentary']/tei:p">
                                        <h2 class="commentaryhead">Kommentar</h2>
                                        <xsl:apply-templates select="tei:note[@subtype = 'commentary']"/>        
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <h2 class="commentaryprefix">Kommentar</h2>
                                        <p><xsl:apply-templates select="tei:note[@subtype = 'commentary']"/></p>
                                    </xsl:otherwise>
                                </xsl:choose>        
                            </div>
                        </xsl:if>
                        <xsl:if test="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P62_depicts']">
                            <div class="isdepictedcontainer">
                                <h2 class="isdepictedhead">Ist dargestellt in</h2>
                                <ul>
                                    <xsl:for-each select="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P62_depicts']">
                                        <xsl:sort select="substring-after(substring-before(@target, ' #'), ':')"/>
                                        <li>
                                            <a>
                                                <xsl:variable name="workid" select="substring-after(substring-before(@target, ' #'), ':')"/>
                                                <xsl:attribute name="href">
                                                    <xsl:value-of select="concat($wrkpath, $workid, '.xhtml')"/>
                                                </xsl:attribute>
                                                <xsl:value-of select="(document('../Register/register-work/register-work-a.xml')|document('../Register/register-work/register-work-b.xml')|document('../Register/register-work/register-work-c.xml')|document('../Register/register-work/register-work-d.xml')|document('../Register/register-work/register-work-e.xml')|document('../Register/register-work/register-work-f.xml')|document('../Register/register-work/register-work-g.xml')|document('../Register/register-work/register-work-h.xml')|document('../Register/register-work/register-work-i.xml')|document('../Register/register-work/register-work-j.xml')|document('../Register/register-work/register-work-k.xml')|document('../Register/register-work/register-work-l.xml')|document('../Register/register-work/register-work-m.xml')|document('../Register/register-work/register-work-n.xml')|document('../Register/register-work/register-work-o.xml')|document('../Register/register-work/register-work-p.xml')|document('../Register/register-work/register-work-qr.xml')|document('../Register/register-work/register-work-s.xml')|document('../Register/register-work/register-work-t.xml')|document('../Register/register-work/register-work-u.xml')|document('../Register/register-work/register-work-v.xml')|document('../Register/register-work/register-work-w.xml')|document('../Register/register-work/register-work-xyz.xml'))//tei:item[@xml:id eq $workid]/tei:name[@type = 'preferred']/tei:term"/>
                                            </a>
                                        </li>
                                    </xsl:for-each>
                                </ul>
                            </div>
                        </xsl:if>
                        <xsl:if test="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']">
                            <div class="islocationcontainer">
                                <h2 class="islocationhead">Ist Standort von</h2>
                                <ul>
                                    <xsl:for-each select="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']">
                                        <xsl:sort select="substring-after(substring-before(@target, ' #'), ':')"/>
                                        <xsl:variable name="workid" select="substring-after(substring-before(@target, ' #'), ':')"/>
                                        <li>                                            
                                            <a>
                                                <xsl:attribute name="href">
                                                    <xsl:value-of select="concat($wrkpath, $workid, '.xhtml')"/>
                                                </xsl:attribute>
                                                <xsl:value-of select="(document('../Register/register-work/register-work-a.xml')|document('../Register/register-work/register-work-b.xml')|document('../Register/register-work/register-work-c.xml')|document('../Register/register-work/register-work-d.xml')|document('../Register/register-work/register-work-e.xml')|document('../Register/register-work/register-work-f.xml')|document('../Register/register-work/register-work-g.xml')|document('../Register/register-work/register-work-h.xml')|document('../Register/register-work/register-work-i.xml')|document('../Register/register-work/register-work-j.xml')|document('../Register/register-work/register-work-k.xml')|document('../Register/register-work/register-work-l.xml')|document('../Register/register-work/register-work-m.xml')|document('../Register/register-work/register-work-n.xml')|document('../Register/register-work/register-work-o.xml')|document('../Register/register-work/register-work-p.xml')|document('../Register/register-work/register-work-qr.xml')|document('../Register/register-work/register-work-s.xml')|document('../Register/register-work/register-work-t.xml')|document('../Register/register-work/register-work-u.xml')|document('../Register/register-work/register-work-v.xml')|document('../Register/register-work/register-work-w.xml')|document('../Register/register-work/register-work-xyz.xml'))//tei:item[@xml:id eq $workid]/tei:name[@type = 'preferred']/tei:term"/>
                                            </a>
                                        </li>
                                    </xsl:for-each>
                                </ul>
                            </div>
                        </xsl:if>
                        <xsl:if test="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89i_contains']">
                            <div class="containscontainer">
                                <h2 class="containshead">Beinhaltet</h2>
                                <ul>
                                    <xsl:for-each select="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89i_contains']">
                                        <xsl:sort select="substring-after(@target, ' #')"/>
                                        <li>
                                            <a>
                                                <xsl:variable name="containedid" select="substring-after(@target, ' #')"/>
                                                <xsl:attribute name="href">
                                                    <xsl:value-of select="concat($containedid, '.xhtml')"/>
                                                </xsl:attribute>
                                                <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $containedid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                            </a>
                                        </li>
                                    </xsl:for-each>
                                </ul>
                            </div>
                        </xsl:if>
                        <xsl:if test="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']">
                            <div class="fallswithincontainer">
                                <h2 class="fallswithinhead">Ist Teil von</h2>
                                <p>
                                    <xsl:for-each select="tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']">
                                        <xsl:sort select="substring-after(@target, ' ')"/>                                
                                        <a>
                                            <xsl:choose>
                                                <xsl:when test="starts-with(substring-after(@target, ' '), '#')">
                                                    <xsl:variable name="containsid" select="substring-after(@target, ' #')"/>
                                                    <xsl:attribute name="href">
                                                        <xsl:value-of select="concat($containsid, '.xhtml')"/>
                                                    </xsl:attribute>
                                                    <xsl:if test="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $containsid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']">
                                                        <xsl:variable name="containsid2" select="substring-after((document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $containsid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' #')"/>
                                                        <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $containsid2]/tei:placeName[@type = 'preferred']/tei:term"/>
                                                        <xsl:text>, </xsl:text>
                                                    </xsl:if>
                                                    <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $containsid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                                </xsl:when>
                                                <xsl:when test="starts-with(substring-after(@target, ' '), 'wrk:')">
                                                    <xsl:variable name="workid" select="substring-after(@target, ' wrk:')"/>
                                                    <xsl:attribute name="href">
                                                        <xsl:value-of select="concat($wrkpath, $workid, '.xhtml')"/>
                                                    </xsl:attribute>
                                                    <xsl:if test="(document('../Register/register-work/register-work-a.xml')|document('../Register/register-work/register-work-b.xml')|document('../Register/register-work/register-work-c.xml')|document('../Register/register-work/register-work-d.xml')|document('../Register/register-work/register-work-e.xml')|document('../Register/register-work/register-work-f.xml')|document('../Register/register-work/register-work-g.xml')|document('../Register/register-work/register-work-h.xml')|document('../Register/register-work/register-work-i.xml')|document('../Register/register-work/register-work-j.xml')|document('../Register/register-work/register-work-k.xml')|document('../Register/register-work/register-work-l.xml')|document('../Register/register-work/register-work-m.xml')|document('../Register/register-work/register-work-n.xml')|document('../Register/register-work/register-work-o.xml')|document('../Register/register-work/register-work-p.xml')|document('../Register/register-work/register-work-qr.xml')|document('../Register/register-work/register-work-s.xml')|document('../Register/register-work/register-work-t.xml')|document('../Register/register-work/register-work-u.xml')|document('../Register/register-work/register-work-v.xml')|document('../Register/register-work/register-work-w.xml')|document('../Register/register-work/register-work-xyz.xml'))//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']">
                                                        <xsl:variable name="containsid2" select="substring-after((document('../Register/register-work/register-work-a.xml')|document('../Register/register-work/register-work-b.xml')|document('../Register/register-work/register-work-c.xml')|document('../Register/register-work/register-work-d.xml')|document('../Register/register-work/register-work-e.xml')|document('../Register/register-work/register-work-f.xml')|document('../Register/register-work/register-work-g.xml')|document('../Register/register-work/register-work-h.xml')|document('../Register/register-work/register-work-i.xml')|document('../Register/register-work/register-work-j.xml')|document('../Register/register-work/register-work-k.xml')|document('../Register/register-work/register-work-l.xml')|document('../Register/register-work/register-work-m.xml')|document('../Register/register-work/register-work-n.xml')|document('../Register/register-work/register-work-o.xml')|document('../Register/register-work/register-work-p.xml')|document('../Register/register-work/register-work-qr.xml')|document('../Register/register-work/register-work-s.xml')|document('../Register/register-work/register-work-t.xml')|document('../Register/register-work/register-work-u.xml')|document('../Register/register-work/register-work-v.xml')|document('../Register/register-work/register-work-w.xml')|document('../Register/register-work/register-work-xyz.xml'))//tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' plc:')"/>
                                                        <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $containsid2]/tei:placeName[@type = 'preferred']/tei:term"/>
                                                        <xsl:text>, </xsl:text>
                                                    </xsl:if>
                                                    <xsl:value-of select="(document('../Register/register-work/register-work-a.xml')|document('../Register/register-work/register-work-b.xml')|document('../Register/register-work/register-work-c.xml')|document('../Register/register-work/register-work-d.xml')|document('../Register/register-work/register-work-e.xml')|document('../Register/register-work/register-work-f.xml')|document('../Register/register-work/register-work-g.xml')|document('../Register/register-work/register-work-h.xml')|document('../Register/register-work/register-work-i.xml')|document('../Register/register-work/register-work-j.xml')|document('../Register/register-work/register-work-k.xml')|document('../Register/register-work/register-work-l.xml')|document('../Register/register-work/register-work-m.xml')|document('../Register/register-work/register-work-n.xml')|document('../Register/register-work/register-work-o.xml')|document('../Register/register-work/register-work-p.xml')|document('../Register/register-work/register-work-qr.xml')|document('../Register/register-work/register-work-s.xml')|document('../Register/register-work/register-work-t.xml')|document('../Register/register-work/register-work-u.xml')|document('../Register/register-work/register-work-v.xml')|document('../Register/register-work/register-work-w.xml')|document('../Register/register-work/register-work-xyz.xml'))//tei:item[@xml:id eq $workid]/tei:name[@type = 'preferred']/tei:term"/>
                                                </xsl:when>
                                            </xsl:choose>
                                        </a>
                                    </xsl:for-each>
                                </p>
                            </div>
                        </xsl:if>
                        <xsl:if test="tei:listBibl[@type = 'references']">
                            <div class="litcontainer">
                                <h2 class="lithead">Literatur</h2>
                                <ul>
                                    <xsl:for-each select="tei:listBibl[@type = 'references']/tei:bibl">
                                        <li>
                                            <a>
                                                <xsl:variable name="biblid" select="substring-after(tei:ptr/@target, ':')"/>
                                                <xsl:attribute name="href">
                                                    <xsl:value-of select="concat($litpath, $biblid, '.xhtml')"/>
                                                </xsl:attribute>
                                                <xsl:value-of select="(document('../Register/bibliography/bibliography-a.xml')|document('../Register/bibliography/bibliography-b.xml')|document('../Register/bibliography/bibliography-c.xml')|document('../Register/bibliography/bibliography-d.xml')|document('../Register/bibliography/bibliography-e.xml')|document('../Register/bibliography/bibliography-f.xml')|document('../Register/bibliography/bibliography-g.xml')|document('../Register/bibliography/bibliography-h.xml')|document('../Register/bibliography/bibliography-i.xml')|document('../Register/bibliography/bibliography-j.xml')|document('../Register/bibliography/bibliography-k.xml')|document('../Register/bibliography/bibliography-l.xml')|document('../Register/bibliography/bibliography-m.xml')|document('../Register/bibliography/bibliography-n.xml')|document('../Register/bibliography/bibliography-o.xml')|document('../Register/bibliography/bibliography-p.xml')|document('../Register/bibliography/bibliography-qr.xml')|document('../Register/bibliography/bibliography-s.xml')|document('../Register/bibliography/bibliography-t.xml')|document('../Register/bibliography/bibliography-u.xml')|document('../Register/bibliography/bibliography-v.xml')|document('../Register/bibliography/bibliography-w.xml')|document('../Register/bibliography/bibliography-xyz.xml'))//tei:bibl[@xml:id eq $biblid]/tei:seg/normalize-space()"/>
                                            </a>
                                            <xsl:choose>
                                                <xsl:when test="tei:citedRange[not(@target)]">
                                                    <xsl:text>, </xsl:text>
                                                    <xsl:value-of select="."/>
                                                </xsl:when>
                                                <xsl:when test="tei:citedRange[@target]">
                                                    <xsl:text>, </xsl:text>
                                                    <a>
                                                        <xsl:attribute name="href" select="tei:citedRange/@target"/>
                                                        <xsl:value-of select="."/>
                                                    </a>
                                                </xsl:when>
                                            </xsl:choose>
                                        </li>
                                    </xsl:for-each>
                                </ul>
                            </div>
                        </xsl:if>
                        <div class="occurrencescontainer">
                            <h2 class="occurrenceshead">Vorkommen im Text</h2>
                            <ul>
                                <xsl:choose>
                                    <xsl:when test="tei:listBibl[@type = 'occurrences'][@subtype]/tei:bibl/text()">
                                        <xsl:for-each select="tei:listBibl[@type = 'occurrences'][@subtype]/tei:bibl">
                                            <xsl:variable name="pagenum" select="tokenize(substring-after(., 'fol. '),':|\[')[1]"/>
                                            <li>
                                                <a>
                                                    <xsl:attribute name="href">
                                                        
                                                        <xsl:value-of select="concat($transcrpath, replace(replace(replace(replace(replace(substring-before(lower-case(.),', fol. '),'[\s|/]',''),'ü','ue'),'ä','ae'),'ö','oe'),'–','_'), '.xhtml#fol', $pagenum)"/>                                                       
                                                    </xsl:attribute>
                                                    <xsl:value-of select="text()"/>
                                                </a>
                                                <xsl:apply-templates select="tei:biblScope"/>
                                            </li>
                                        </xsl:for-each>
                                    </xsl:when>
                                    <xsl:when test="tei:listBibl[@type = 'occurrences'][not(@subtype)]/tei:bibl/text()">
                                        <xsl:for-each select="tei:listBibl[@type = 'occurrences'][not(@subtype)]/tei:bibl">
                                            <xsl:sort select="substring-before(.,'fol.')"/>
                                            <xsl:sort select="replace(.,'.*fol\.\s([0-9]+).*','$1')" data-type="number"/>
                                            <xsl:variable name="pagenum" select="substring-after(., 'fol. ')"/>
                                            <li>
                                                <a>
                                                    <xsl:attribute name="href">
                                                        
                                                        <xsl:value-of select="concat($transcrpath, replace(replace(replace(replace(replace(substring-before(lower-case(.),', fol. '),'[\s|/]',''),'ü','ue'),'ä','ae'),'ö','oe'),'–','_'), '.xhtml#fol', $pagenum)"/>                                                       
                                                    </xsl:attribute>
                                                    <xsl:value-of select="."/>
                                                </a>
                                            </li>
                                        </xsl:for-each>
                                    </xsl:when>
                                </xsl:choose>
                            </ul>
                        </div>
                    </div>
                </body>
            </html>
        </xsl:result-document>        
    </xsl:template>
    
    <xsl:template match="tei:biblScope">
        <span xmlns="http://www.w3.org/1999/xhtml" class="snippet">
            <xsl:apply-templates/>
        </span>
    </xsl:template>
    
    <xsl:template match="tei:rs">
        <xsl:choose>
            <xsl:when test="@type = 'place'">
                <a xmlns="http://www.w3.org/1999/xhtml">
                    <xsl:attribute name="href">
                        <xsl:value-of select="concat(substring-after(@ref, '#'), '.xhtml')"/>
                    </xsl:attribute>
                    <xsl:apply-templates/>
                </a>
            </xsl:when>
            <xsl:when test="@type = 'person'">
                <a xmlns="http://www.w3.org/1999/xhtml">
                    <xsl:attribute name="href">
                        <xsl:value-of select="concat($psnpath, substring-after(@ref, 'psn:'), '.xhtml')"/>
                    </xsl:attribute>
                    <xsl:apply-templates/>
                </a>
            </xsl:when>
            <xsl:when test="@type = 'org'">
                <a xmlns="http://www.w3.org/1999/xhtml">
                    <xsl:attribute name="href">
                        <xsl:value-of select="concat($orgpath, substring-after(@ref, 'org:'), '.xhtml')"/>
                    </xsl:attribute>
                    <xsl:apply-templates/>
                </a>
            </xsl:when>
            <xsl:when test="@type = 'work'">
                <a xmlns="http://www.w3.org/1999/xhtml">
                    <xsl:attribute name="href">
                        <xsl:value-of select="concat($wrkpath, substring-after(@ref, 'wrk:'), '.xhtml')"/>
                    </xsl:attribute>
                    <xsl:apply-templates/>
                </a>
            </xsl:when>
            <xsl:when test="@type = 'quote'">
                <span xmlns="http://www.w3.org/1999/xhtml" class="rs">
                    <xsl:value-of select="."/>
                </span>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
    
    <xsl:template match="tei:note//tei:bibl/tei:ref">
        <a xmlns="http://www.w3.org/1999/xhtml">
            <xsl:attribute name="href">
                <xsl:value-of select="concat($litpath, substring-after(@target, 'lit:'), '.xhtml')"/>
            </xsl:attribute>
            <xsl:apply-templates/>
        </a>
    </xsl:template>
    
    <xsl:template match="tei:note//tei:bibl/tei:citedRange">
        <a xmlns="http://www.w3.org/1999/xhtml">
            <xsl:attribute name="href">
                <xsl:value-of select="@target"/>
            </xsl:attribute>
            <xsl:apply-templates/>
        </a>
    </xsl:template>
    
    <xsl:template match="tei:note/tei:p//tei:ref[not(parent::tei:bibl)]">
        <a xmlns="http://www.w3.org/1999/xhtml">
            <xsl:attribute name="href">
                <xsl:value-of select="@target"/>
            </xsl:attribute>
            <xsl:apply-templates/>
        </a>
    </xsl:template>
    
    <xsl:template match="tei:note//tei:ref[not(parent::tei:bibl)]">
        <a xmlns="http://www.w3.org/1999/xhtml">
            <xsl:attribute name="href">
                <xsl:value-of select="@target"/>
            </xsl:attribute>
            <xsl:apply-templates/>
        </a>
    </xsl:template>
    
    <xsl:template match="tei:p">
        <p xmlns="http://www.w3.org/1999/xhtml">
            <xsl:apply-templates/>
        </p>
    </xsl:template>
    
    <xsl:template match="tei:hi[@rendition = '#i']">
        <span xmlns="http://www.w3.org/1999/xhtml" class="italics">
            <xsl:apply-templates/>
        </span>
    </xsl:template>
    
</xsl:stylesheet>
