<?xml version="1.0" encoding="UTF-8"?>
<!-- Dieses Stylesheet erzeugt aus allen TEI/XML-Dateien des Personenregisters eine alphabetisch sortierte XHTML-Gesamtliste. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:xhtml="http://www.w3.org/1999/xhtml" exclude-result-prefixes="tei xhtml xs" version="2.0">
    <xsl:output method="xhtml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" indent="yes"/>
    
    <xsl:variable name="psnpath">psn</xsl:variable>
    
    <xsl:template match="/">        
        <xsl:variable name="output">
            <html xmlns="http://www.w3.org/1999/xhtml">
                <head>
                    <link rel="stylesheet" type="text/css" href="psn/psn-output.css"/>
                    <title>Personenregister</title>                    
                </head>
                <xsl:call-template name="start"/>
            </html>
        </xsl:variable>
        <xsl:result-document href="../../HTML-Dateien/psn-list.xhtml">
            <xsl:apply-templates mode="step2" select="$output"/>
        </xsl:result-document>
    </xsl:template>
    
    <xsl:template name="start">
        <body xmlns="http://www.w3.org/1999/xhtml">
            <script type="text/javascript">
                function personenAusblenden() {
                var auswahl = document.getElementsByName("auswahl");
                if (auswahl[0].checked == true) {
                var elements = document.querySelectorAll("tr[class]"); 
                for (var i = 0; i &lt; elements.length; i++) {
                elements[i].style.display = "table-row";
                }
                } else if (auswahl[1].checked == true) {
                var elements = document.querySelectorAll(".mss"); 
                for (var i = 0; i &lt; elements.length; i++) {
                elements[i].style.display = "table-row";
                };
                var elements = document.querySelectorAll(".druck:not(.mss)"); 
                for (var i = 0; i &lt; elements.length; i++) {
                elements[i].style.display = "none";
                }
                } else if (auswahl[2].checked == true) {
                var elements = document.querySelectorAll(".druck"); 
                for (var i = 0; i &lt; elements.length; i++) {
                elements[i].style.display = "table-row";
                };
                var elements = document.querySelectorAll(".mss:not(.druck)"); 
                for (var i = 0; i &lt; elements.length; i++) {
                elements[i].style.display = "none";
                }
                }
                }
            </script>
            <div class="radiobuttons">
                <input type="radio" id="auswahl1" name="auswahl" value="alle" onclick="personenAusblenden()" checked="checked"/>
                <label for="auswahl1">Alle Personen anzeigen</label>
                <br/>
                <input type="radio" id="auswahl2" name="auswahl" value="mss" onclick="personenAusblenden()"/>
                <label for="auswahl2">Nur Personen in der handschriftlichen Überlieferung anzeigen</label>
                <br/>
                <input type="radio" id="auswahl3" name="auswahl" value="druck" onclick="personenAusblenden()"/>
                <label for="auswahl3">Nur Personen in eingebundenen Drucken anzeigen</label>
                <br/>
            </div>   
            <div>
                <a href="#a">A</a> &#x2013; <a href="#b">B</a> &#x2013; <a href="#c">C</a> &#x2013; <a href="#d">D</a> &#x2013; <a href="#e">E</a> &#x2013; <a href="#f">F</a> &#x2013; <a href="#g">G</a> &#x2013; <a href="#h">H</a> &#x2013; <a href="#i">I</a> &#x2013; <a href="#j">J</a> &#x2013; <a href="#k">K</a> &#x2013; <a href="#l">L</a> &#x2013; <a href="#m">M</a> &#x2013; <a href="#n">N</a> &#x2013; <a href="#o">O</a> &#x2013; <a href="#p">P</a> &#x2013; <a href="#q">Q</a> &#x2013; <a href="#r">R</a> &#x2013; <a href="#s">S</a> &#x2013; <a href="#t">T</a> &#x2013; <a href="#u">U</a> &#x2013; <a href="#v">V</a> &#x2013; <a href="#w">W</a> &#x2013; <a href="#x">X</a> &#x2013; <a href="#y">Y</a> &#x2013; <a href="#z">Z</a>
            </div>
            
            <table>
                <xsl:apply-templates select="(document('../Register/register-person/register-person-a.xml')|document('../Register/register-person/register-person-b.xml')|document('../Register/register-person/register-person-c.xml')|document('../Register/register-person/register-person-d.xml')|document('../Register/register-person/register-person-e.xml')|document('../Register/register-person/register-person-f.xml')|document('../Register/register-person/register-person-g.xml')|document('../Register/register-person/register-person-h.xml')|document('../Register/register-person/register-person-i.xml')|document('../Register/register-person/register-person-j.xml')|document('../Register/register-person/register-person-k.xml')|document('../Register/register-person/register-person-l.xml')|document('../Register/register-person/register-person-m.xml')|document('../Register/register-person/register-person-n.xml')|document('../Register/register-person/register-person-o.xml')|document('../Register/register-person/register-person-p.xml')|document('../Register/register-person/register-person-qr.xml')|document('../Register/register-person/register-person-s.xml')|document('../Register/register-person/register-person-t.xml')|document('../Register/register-person/register-person-u.xml')|document('../Register/register-person/register-person-v.xml')|document('../Register/register-person/register-person-w.xml')|document('../Register/register-person/register-person-xyz.xml'))//tei:persName">
                    <xsl:sort select="tei:term/@sortKey"/>
                    <xsl:sort select="(../tei:birth/@when-iso|../tei:birth/@notBefore-iso)"/>
                </xsl:apply-templates>
            </table>
        </body>
    </xsl:template>
    
    <xsl:template match="tei:persName">
        <xsl:choose>
            <xsl:when test="@type = 'preferred'">
                <tr xmlns="http://www.w3.org/1999/xhtml">                    
                    <xsl:attribute name="id">                        
                        <xsl:value-of select="concat(substring(tei:term/@sortKey,1,1), generate-id())"/>                          
                    </xsl:attribute>
                    <xsl:variable name="classes">
                        <classes>
                            <xsl:for-each select="../tei:listBibl[@type eq 'occurrences'][@subtype eq 'auto']/tei:bibl[text()][tei:biblScope ne 'Kommentartext']">
                                <xsl:variable name="reisebericht" select="translate(substring-before(.,','),'/',' ')"/>
                                <xsl:variable name="seite" select="normalize-space(substring-after(substring-before(.,':'),','))"/>
                                <xsl:choose>                                   
                                    <xsl:when test="document(concat('../XML-Dateien/',replace($reisebericht,' ','%20'),'.xml'))//tei:pb[@n eq $seite]/ancestor::tei:div[matches(@hand,'#druckgraphik|#druckschrift')]">
                                        <class>druck</class>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <class>mss</class>
                                    </xsl:otherwise>
                                </xsl:choose>  
                            </xsl:for-each>
                        </classes>                       
                    </xsl:variable>
                    <xsl:choose>
                        <xsl:when test="contains($classes,'mss') and not(contains($classes,'druck'))">
                            <xsl:attribute name="class">mss</xsl:attribute>
                        </xsl:when>
                        <xsl:when test="not(contains($classes,'mss')) and contains($classes,'druck')">
                            <xsl:attribute name="class">druck</xsl:attribute>
                        </xsl:when>
                        <xsl:when test="contains($classes,'mss') and contains($classes,'druck')">
                            <xsl:attribute name="class">druck mss</xsl:attribute>
                        </xsl:when>
                    </xsl:choose>
                   
                    <td class="prefname">                        
                        <a>
                            <xsl:attribute name="href">                                    
                                <xsl:value-of select="concat($psnpath,'/',../@xml:id,'.xhtml')"/>
                            </xsl:attribute>
                            <xsl:choose>
                                <xsl:when test="tei:term/tei:forename">                                   
                                    <xsl:value-of select="tei:term/tei:surname/normalize-space()"/>                                     
                                    <xsl:if test="tei:term/tei:surname eq ''">
                                        <xsl:text>?</xsl:text>
                                    </xsl:if>
                                    <xsl:text>, </xsl:text>
                                    <xsl:value-of select="tei:term/tei:forename/normalize-space()"/>
                                    <xsl:if test="tei:term/tei:forename eq ''">
                                        <xsl:text>?</xsl:text>
                                    </xsl:if>
                                    
                                    <!-- Disambiguierung durch Lebensdaten: -->
                                    <xsl:if test="(preceding::tei:person|following::tei:person)[tei:persName[@type='preferred']/tei:term/tei:surname eq current()/tei:term/tei:surname][tei:persName[@type='preferred']/tei:term/tei:forename eq current()/tei:term/tei:forename]">
                                        <span class="birthdeath">
                                            <xsl:text> (</xsl:text>
                                            
                                            <xsl:if test="../tei:birth">
                                                <xsl:text>* </xsl:text>
                                            </xsl:if>
                                            <xsl:if test="../tei:birth/@precision eq 'low' and ../tei:birth/@when-iso">
                                                <xsl:text>ca. </xsl:text>
                                            </xsl:if>
                                            <xsl:choose>
                                                <xsl:when test="../tei:birth/@when-iso">
                                                    <xsl:choose>
                                                        <xsl:when test="substring(../tei:birth/@when-iso, 1, 1) = '-'">
                                                            <xsl:value-of select="number(substring-after(../tei:birth/@when-iso, '-')) + 1"/>
                                                            <xsl:text> v. Chr.</xsl:text>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="number(../tei:birth/@when-iso)"/>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                </xsl:when>
                                                <xsl:when test="../tei:birth/@notBefore-iso and ../tei:birth/@notAfter-iso">
                                                    <xsl:text>zwischen </xsl:text>
                                                    <xsl:if test="../tei:birth/@precision eq 'low'">
                                                        <xsl:text>ca. </xsl:text>
                                                    </xsl:if>
                                                    <xsl:choose>
                                                        <xsl:when test="substring(../tei:birth/@notBefore-iso, 1, 1) = '-'">
                                                            <xsl:value-of select="number(substring-after(../tei:birth/@notBefore-iso, '-')) + 1"/>
                                                            <xsl:if test="substring(../tei:birth/@notAfter-iso, 1, 1) != '-'">
                                                                <xsl:text> v. Chr.</xsl:text>
                                                            </xsl:if>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="number(../tei:birth/@notBefore-iso)"/>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                    <xsl:text> und </xsl:text>
                                                    <xsl:choose>
                                                        <xsl:when test="substring(../tei:birth/@notAfter-iso, 1, 1) = '-'">
                                                            <xsl:value-of select="number(substring-after(../tei:birth/@notAfter-iso, '-')) + 1"/>
                                                            <xsl:text> v. Chr.</xsl:text>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="number(../tei:birth/@notAfter-iso)"/>
                                                            <xsl:if test="substring(../tei:birth/@notBefore-iso, 1, 1) = '-'">
                                                                <xsl:text> n. Chr.</xsl:text>
                                                            </xsl:if>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                </xsl:when>
                                                <xsl:when test="../tei:floruit">
                                                    <xsl:value-of select="../tei:floruit"/>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:text>* ?</xsl:text>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                            <xsl:if test="not(../tei:floruit)">
                                                <xsl:text>, ✝ </xsl:text>
                                            </xsl:if>
                                            <xsl:if test="../tei:death/@precision eq 'low' and ../tei:death/@when-iso">
                                                <xsl:text>ca. </xsl:text>
                                            </xsl:if>
                                            
                                            <xsl:choose>
                                                <xsl:when test="../tei:death/@when-iso">
                                                    <xsl:choose>
                                                        <xsl:when test="substring(../tei:death/@when-iso, 1, 1) = '-'">
                                                            <xsl:value-of select="number(substring-after(../tei:death/@when-iso, '-')) + 1"/>
                                                            <xsl:text> v. Chr.</xsl:text>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="number(../tei:death/@when-iso)"/>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                </xsl:when>
                                                <xsl:when test="../tei:death/@notBefore-iso and ../tei:death/@notAfter-iso">
                                                    <xsl:text>zwischen </xsl:text>
                                                    <xsl:if test="../tei:death/@precision eq 'low'">
                                                        <xsl:text>ca. </xsl:text>
                                                    </xsl:if>
                                                    <xsl:choose>
                                                        <xsl:when test="substring(../tei:death/@notBefore-iso, 1, 1) = '-'">
                                                            <xsl:value-of select="number(substring-after(../tei:death/@notBefore-iso, '-')) + 1"/>
                                                            <xsl:if test="substring(../tei:death/@notAfter-iso, 1, 1) != '-'">
                                                                <xsl:text> v. Chr.</xsl:text>
                                                            </xsl:if>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="number(../tei:death/@notBefore-iso)"/>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                    <xsl:text> und </xsl:text>
                                                    <xsl:choose>
                                                        <xsl:when test="substring(../tei:death/@notAfter-iso, 1, 1) = '-'">
                                                            <xsl:value-of select="number(substring-after(../tei:death/@notAfter-iso, '-')) + 1"/>
                                                            <xsl:text> v. Chr.</xsl:text>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="number(../tei:death/@notAfter-iso)"/>
                                                            <xsl:if test="substring(../tei:death/@notBefore-iso, 1, 1) = '-'">
                                                                <xsl:text> n. Chr.</xsl:text>
                                                            </xsl:if>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                </xsl:when>
                                                <xsl:when test="../tei:floruit"/>
                                                <xsl:otherwise>
                                                    <xsl:text>?</xsl:text>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                            
                                            <xsl:text>)</xsl:text>
                                        </span>
                                    </xsl:if>                                    
                                    <!-- Disambiguierung Ende -->
                                    
                                </xsl:when>
                                <xsl:when test="tei:term/tei:name">
                                    
                                    <!-- Disambiguierung durch Lebensdaten: -->
                                    <xsl:choose>
                                        <xsl:when test="(preceding::tei:person|following::tei:person)[tei:persName[@type='preferred']/tei:term/tei:sname eq current()/tei:term/tei:name]">
                                            <xsl:value-of select="tei:term/tei:name/normalize-space()"/>
                                            <span class="birthdeath">
                                                <xsl:text> (</xsl:text>
                                                
                                                <xsl:if test="../tei:birth">
                                                    <xsl:text>* </xsl:text>
                                                </xsl:if>
                                                <xsl:if test="../tei:birth/@precision eq 'low' and ../tei:birth/@when-iso">
                                                    <xsl:text>ca. </xsl:text>
                                                </xsl:if>
                                                <xsl:choose>
                                                    <xsl:when test="../tei:birth/@when-iso">
                                                        <xsl:choose>
                                                            <xsl:when test="substring(../tei:birth/@when-iso, 1, 1) = '-'">
                                                                <xsl:value-of select="number(substring-after(../tei:birth/@when-iso, '-')) + 1"/>
                                                                <xsl:text> v. Chr.</xsl:text>
                                                            </xsl:when>
                                                            <xsl:otherwise>
                                                                <xsl:value-of select="number(../tei:birth/@when-iso)"/>
                                                            </xsl:otherwise>
                                                        </xsl:choose>
                                                    </xsl:when>
                                                    <xsl:when test="../tei:birth/@notBefore-iso and ../tei:birth/@notAfter-iso">
                                                        <xsl:text>zwischen </xsl:text>
                                                        <xsl:if test="../tei:birth/@precision eq 'low'">
                                                            <xsl:text>ca. </xsl:text>
                                                        </xsl:if>
                                                        <xsl:choose>
                                                            <xsl:when test="substring(../tei:birth/@notBefore-iso, 1, 1) = '-'">
                                                                <xsl:value-of select="number(substring-after(../tei:birth/@notBefore-iso, '-')) + 1"/>
                                                                <xsl:if test="substring(../tei:birth/@notAfter-iso, 1, 1) != '-'">
                                                                    <xsl:text> v. Chr.</xsl:text>
                                                                </xsl:if>
                                                            </xsl:when>
                                                            <xsl:otherwise>
                                                                <xsl:value-of select="number(../tei:birth/@notBefore-iso)"/>
                                                            </xsl:otherwise>
                                                        </xsl:choose>
                                                        <xsl:text> und </xsl:text>
                                                        <xsl:choose>
                                                            <xsl:when test="substring(../tei:birth/@notAfter-iso, 1, 1) = '-'">
                                                                <xsl:value-of select="number(substring-after(../tei:birth/@notAfter-iso, '-')) + 1"/>
                                                                <xsl:text> v. Chr.</xsl:text>
                                                            </xsl:when>
                                                            <xsl:otherwise>
                                                                <xsl:value-of select="number(../tei:birth/@notAfter-iso)"/>
                                                                <xsl:if test="substring(../tei:birth/@notBefore-iso, 1, 1) = '-'">
                                                                    <xsl:text> n. Chr.</xsl:text>
                                                                </xsl:if>
                                                            </xsl:otherwise>
                                                        </xsl:choose>
                                                    </xsl:when>
                                                    <xsl:when test="../tei:floruit">
                                                        <xsl:value-of select="../tei:floruit"/>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <xsl:text>* ?</xsl:text>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                                <xsl:if test="not(../tei:floruit)">
                                                    <xsl:text>, ✝ </xsl:text>
                                                </xsl:if>
                                                <xsl:if test="../tei:death/@precision eq 'low' and ../tei:death/@when-iso">
                                                    <xsl:text>ca. </xsl:text>
                                                </xsl:if>
                                                
                                                <xsl:choose>
                                                    <xsl:when test="../tei:death/@when-iso">
                                                        <xsl:choose>
                                                            <xsl:when test="substring(../tei:death/@when-iso, 1, 1) = '-'">
                                                                <xsl:value-of select="number(substring-after(../tei:death/@when-iso, '-')) + 1"/>
                                                                <xsl:text> v. Chr.</xsl:text>
                                                            </xsl:when>
                                                            <xsl:otherwise>
                                                                <xsl:value-of select="number(../tei:death/@when-iso)"/>
                                                            </xsl:otherwise>
                                                        </xsl:choose>
                                                    </xsl:when>
                                                    <xsl:when test="../tei:death/@notBefore-iso and ../tei:death/@notAfter-iso">
                                                        <xsl:text>zwischen </xsl:text>
                                                        <xsl:if test="../tei:death/@precision eq 'low'">
                                                            <xsl:text>ca. </xsl:text>
                                                        </xsl:if>
                                                        <xsl:choose>
                                                            <xsl:when test="substring(../tei:death/@notBefore-iso, 1, 1) = '-'">
                                                                <xsl:value-of select="number(substring-after(../tei:death/@notBefore-iso, '-')) + 1"/>
                                                                <xsl:if test="substring(../tei:death/@notAfter-iso, 1, 1) != '-'">
                                                                    <xsl:text> v. Chr.</xsl:text>
                                                                </xsl:if>
                                                            </xsl:when>
                                                            <xsl:otherwise>
                                                                <xsl:value-of select="number(../tei:death/@notBefore-iso)"/>
                                                            </xsl:otherwise>
                                                        </xsl:choose>
                                                        <xsl:text> und </xsl:text>
                                                        <xsl:choose>
                                                            <xsl:when test="substring(../tei:death/@notAfter-iso, 1, 1) = '-'">
                                                                <xsl:value-of select="number(substring-after(../tei:death/@notAfter-iso, '-')) + 1"/>
                                                                <xsl:text> v. Chr.</xsl:text>
                                                            </xsl:when>
                                                            <xsl:otherwise>
                                                                <xsl:value-of select="number(../tei:death/@notAfter-iso)"/>
                                                                <xsl:if test="substring(../tei:death/@notBefore-iso, 1, 1) = '-'">
                                                                    <xsl:text> n. Chr.</xsl:text>
                                                                </xsl:if>
                                                            </xsl:otherwise>
                                                        </xsl:choose>
                                                    </xsl:when>
                                                    <xsl:when test="../tei:floruit"/>
                                                    <xsl:otherwise>
                                                        <xsl:text>?</xsl:text>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                                
                                                <xsl:text>)</xsl:text>
                                            </span>
                                        </xsl:when>
                                        <!-- Disambiguierung Ende -->
                                        
                                        <xsl:otherwise>
                                            <xsl:value-of select="tei:term/normalize-space()"/>
                                        </xsl:otherwise>
                                        
                                    </xsl:choose>
                                </xsl:when>
                            </xsl:choose>                            
                        </a>
                    </td>
                </tr>  
            </xsl:when>
            <xsl:when test="@type = 'variant'">                
                <tr xmlns="http://www.w3.org/1999/xhtml">
                    <xsl:attribute name="id">                        
                        <xsl:value-of select="concat(substring(tei:term/@sortKey,1,1), generate-id())"/>                          
                    </xsl:attribute>
                    <xsl:variable name="classes">
                        <classes>
                            <xsl:for-each select="../tei:listBibl[@type eq 'occurrences'][@subtype eq 'auto']/tei:bibl[text()][tei:biblScope ne 'Kommentartext']">
                                <xsl:variable name="reisebericht" select="translate(substring-before(.,','),'/',' ')"/>
                                <xsl:variable name="seite" select="normalize-space(substring-after(substring-before(.,':'),','))"/>
                                <xsl:choose>                                   
                                    <xsl:when test="document(concat('../XML-Dateien/',replace($reisebericht,' ','%20'),'.xml'))//tei:pb[@n eq $seite]/ancestor::tei:div[matches(@hand,'#druckgraphik|#druckschrift')]">
                                        <class>druck</class>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <class>mss</class>
                                    </xsl:otherwise>
                                </xsl:choose>  
                            </xsl:for-each>
                        </classes>                       
                    </xsl:variable>
                    <xsl:choose>
                        <xsl:when test="contains($classes,'mss') and not(contains($classes,'druck'))">
                            <xsl:attribute name="class">mss</xsl:attribute>
                        </xsl:when>
                        <xsl:when test="not(contains($classes,'mss')) and contains($classes,'druck')">
                            <xsl:attribute name="class">druck</xsl:attribute>
                        </xsl:when>
                        <xsl:when test="contains($classes,'mss') and contains($classes,'druck')">
                            <xsl:attribute name="class">druck mss</xsl:attribute>
                        </xsl:when>
                    </xsl:choose>
                    <td class="prefname">
                        <xsl:choose>
                            <xsl:when test="tei:term/tei:forename">
                                
                                <!-- Disambiguierung durch Lebensdaten, Teil 1: -->
                                <xsl:choose>
                                    <xsl:when test="(preceding::tei:person|following::tei:person)[tei:persName[@type='preferred']/tei:term/tei:surname eq current()/tei:term/tei:surname][tei:persName[@type='preferred']/tei:term/tei:forename eq current()/tei:term/tei:forename]">
                                        <xsl:value-of select="substring-before(tei:term/tei:surname,' (')"/>
                                    </xsl:when>
                                    <!-- Disambiguierung Ende -->
                                    
                                    <xsl:otherwise>
                                        <xsl:value-of select="tei:term/tei:surname/normalize-space()"/>
                                    </xsl:otherwise>
                                </xsl:choose>
                                <xsl:if test="tei:term/tei:surname[not(text())]">
                                    <xsl:text>?</xsl:text>
                                </xsl:if>
                                <xsl:text>, </xsl:text>
                                <xsl:value-of select="tei:term/tei:forename/normalize-space()"/>
                                <xsl:if test="tei:term/tei:forename[not(text())]">
                                    <xsl:text>?</xsl:text>
                                </xsl:if>                               
                            </xsl:when>
                            <xsl:when test="tei:term/tei:name">                                
                                <xsl:value-of select="tei:term/normalize-space()"/>                                    
                            </xsl:when>
                        </xsl:choose>                     
                        <xsl:text> → </xsl:text>
                        <a>
                            <xsl:attribute name="href">                                    
                                <xsl:value-of select="concat($psnpath,'/',../@xml:id,'.xhtml')"/>
                            </xsl:attribute>
                            <xsl:choose>
                                <xsl:when test="../tei:persName[@type = 'preferred']/tei:term/tei:forename">
                                    <xsl:value-of select="../tei:persName[@type = 'preferred']/tei:term/tei:surname/normalize-space()"/>
                                    <xsl:if test="../tei:persName[@type = 'preferred']/tei:term/tei:surname[not(text())]">
                                        <xsl:text>?</xsl:text>    
                                    </xsl:if>
                                    <xsl:text>, </xsl:text>
                                    <xsl:value-of select="../tei:persName[@type = 'preferred']/tei:term/tei:forename/normalize-space()"/>
                                    <xsl:if test="../tei:persName[@type = 'preferred']/tei:term/tei:forename[not(text())]">
                                        <xsl:text>?</xsl:text>    
                                    </xsl:if>
                                    
                                    <!-- Disambiguierung durch Lebensdaten, Teil 2: -->
                                    <xsl:if test="(preceding::tei:person|following::tei:person)[tei:persName[@type='preferred']/tei:term/tei:surname eq current()/../tei:persName[@type = 'preferred']/tei:term/tei:surname][tei:persName[@type='preferred']/tei:term/tei:forename eq current()/../tei:persName[@type = 'preferred']/tei:term/tei:forename]">
                                        <span class="birthdeath">
                                            <xsl:text> (</xsl:text>
                                            
                                            <xsl:if test="../tei:birth">
                                                <xsl:text>* </xsl:text>
                                            </xsl:if>
                                            <xsl:if test="../tei:birth/@precision eq 'low' and ../tei:birth/@when-iso">
                                                <xsl:text>ca. </xsl:text>
                                            </xsl:if>
                                            <xsl:choose>
                                                <xsl:when test="../tei:birth/@when-iso">
                                                    <xsl:choose>
                                                        <xsl:when test="substring(../tei:birth/@when-iso, 1, 1) = '-'">
                                                            <xsl:value-of select="number(substring-after(../tei:birth/@when-iso, '-')) + 1"/>
                                                            <xsl:text> v. Chr.</xsl:text>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="number(../tei:birth/@when-iso)"/>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                </xsl:when>
                                                <xsl:when test="../tei:birth/@notBefore-iso and ../tei:birth/@notAfter-iso">
                                                    <xsl:text>zwischen </xsl:text>
                                                    <xsl:if test="../tei:birth/@precision eq 'low'">
                                                        <xsl:text>ca. </xsl:text>
                                                    </xsl:if>
                                                    <xsl:choose>
                                                        <xsl:when test="substring(../tei:birth/@notBefore-iso, 1, 1) = '-'">
                                                            <xsl:value-of select="number(substring-after(../tei:birth/@notBefore-iso, '-')) + 1"/>
                                                            <xsl:if test="substring(../tei:birth/@notAfter-iso, 1, 1) != '-'">
                                                                <xsl:text> v. Chr.</xsl:text>
                                                            </xsl:if>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="number(../tei:birth/@notBefore-iso)"/>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                    <xsl:text> und </xsl:text>
                                                    <xsl:choose>
                                                        <xsl:when test="substring(../tei:birth/@notAfter-iso, 1, 1) = '-'">
                                                            <xsl:value-of select="number(substring-after(../tei:birth/@notAfter-iso, '-')) + 1"/>
                                                            <xsl:text> v. Chr.</xsl:text>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="number(../tei:birth/@notAfter-iso)"/>
                                                            <xsl:if test="substring(../tei:birth/@notBefore-iso, 1, 1) = '-'">
                                                                <xsl:text> n. Chr.</xsl:text>
                                                            </xsl:if>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                </xsl:when>
                                                <xsl:when test="../tei:floruit">
                                                    <xsl:value-of select="../tei:floruit"/>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:text>* ?</xsl:text>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                            <xsl:if test="not(../tei:floruit)">
                                                <xsl:text>, ✝ </xsl:text>
                                            </xsl:if>
                                            <xsl:if test="../tei:death/@precision eq 'low' and ../tei:death/@when-iso">
                                                <xsl:text>ca. </xsl:text>
                                            </xsl:if>
                                            
                                            <xsl:choose>
                                                <xsl:when test="../tei:death/@when-iso">
                                                    <xsl:choose>
                                                        <xsl:when test="substring(../tei:death/@when-iso, 1, 1) = '-'">
                                                            <xsl:value-of select="number(substring-after(../tei:death/@when-iso, '-')) + 1"/>
                                                            <xsl:text> v. Chr.</xsl:text>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="number(../tei:death/@when-iso)"/>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                </xsl:when>
                                                <xsl:when test="../tei:death/@notBefore-iso and ../tei:death/@notAfter-iso">
                                                    <xsl:text>zwischen </xsl:text>
                                                    <xsl:if test="../tei:death/@precision eq 'low'">
                                                        <xsl:text>ca. </xsl:text>
                                                    </xsl:if>
                                                    <xsl:choose>
                                                        <xsl:when test="substring(../tei:death/@notBefore-iso, 1, 1) = '-'">
                                                            <xsl:value-of select="number(substring-after(../tei:death/@notBefore-iso, '-')) + 1"/>
                                                            <xsl:if test="substring(../tei:death/@notAfter-iso, 1, 1) != '-'">
                                                                <xsl:text> v. Chr.</xsl:text>
                                                            </xsl:if>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="number(../tei:death/@notBefore-iso)"/>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                    <xsl:text> und </xsl:text>
                                                    <xsl:choose>
                                                        <xsl:when test="substring(../tei:death/@notAfter-iso, 1, 1) = '-'">
                                                            <xsl:value-of select="number(substring-after(../tei:death/@notAfter-iso, '-')) + 1"/>
                                                            <xsl:text> v. Chr.</xsl:text>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:value-of select="number(../tei:death/@notAfter-iso)"/>
                                                            <xsl:if test="substring(../tei:death/@notBefore-iso, 1, 1) = '-'">
                                                                <xsl:text> n. Chr.</xsl:text>
                                                            </xsl:if>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                </xsl:when>
                                                <xsl:when test="../tei:floruit"/>
                                                <xsl:otherwise>
                                                    <xsl:text>?</xsl:text>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                            
                                            <xsl:text>)</xsl:text>
                                        </span>
                                    </xsl:if>
                                    <!-- Disambiguierung Ende -->
                                    
                                </xsl:when>
                                <xsl:when test="../tei:persName[@type = 'preferred']/tei:term/tei:name">
                                    
                                    <!-- Disambiguierung durch Lebensdaten: -->
                                    <xsl:choose>
                                        <xsl:when test="(preceding::tei:person|following::tei:person)[tei:persName[@type='preferred']/tei:term/tei:name eq current()/../tei:persName[@type = 'preferred']/tei:term/tei:name]">
                                            <xsl:value-of select="../tei:persName[@type = 'preferred']/tei:term/tei:name/normalize-space()"/>
                                            <span class="birthdeath">
                                                <xsl:text> (</xsl:text>
                                                
                                                <xsl:if test="../tei:birth">
                                                    <xsl:text>* </xsl:text>
                                                </xsl:if>
                                                <xsl:if test="../tei:birth/@precision eq 'low' and ../tei:birth/@when-iso">
                                                    <xsl:text>ca. </xsl:text>
                                                </xsl:if>
                                                <xsl:choose>
                                                    <xsl:when test="../tei:birth/@when-iso">
                                                        <xsl:choose>
                                                            <xsl:when test="substring(../tei:birth/@when-iso, 1, 1) = '-'">
                                                                <xsl:value-of select="number(substring-after(../tei:birth/@when-iso, '-')) + 1"/>
                                                                <xsl:text> v. Chr.</xsl:text>
                                                            </xsl:when>
                                                            <xsl:otherwise>
                                                                <xsl:value-of select="number(../tei:birth/@when-iso)"/>
                                                            </xsl:otherwise>
                                                        </xsl:choose>
                                                    </xsl:when>
                                                    <xsl:when test="../tei:birth/@notBefore-iso and ../tei:birth/@notAfter-iso">
                                                        <xsl:text>zwischen </xsl:text>
                                                        <xsl:if test="../tei:birth/@precision eq 'low'">
                                                            <xsl:text>ca. </xsl:text>
                                                        </xsl:if>
                                                        <xsl:choose>
                                                            <xsl:when test="substring(../tei:birth/@notBefore-iso, 1, 1) = '-'">
                                                                <xsl:value-of select="number(substring-after(../tei:birth/@notBefore-iso, '-')) + 1"/>
                                                                <xsl:if test="substring(../tei:birth/@notAfter-iso, 1, 1) != '-'">
                                                                    <xsl:text> v. Chr.</xsl:text>
                                                                </xsl:if>
                                                            </xsl:when>
                                                            <xsl:otherwise>
                                                                <xsl:value-of select="number(../tei:birth/@notBefore-iso)"/>
                                                            </xsl:otherwise>
                                                        </xsl:choose>
                                                        <xsl:text> und </xsl:text>
                                                        <xsl:choose>
                                                            <xsl:when test="substring(../tei:birth/@notAfter-iso, 1, 1) = '-'">
                                                                <xsl:value-of select="number(substring-after(../tei:birth/@notAfter-iso, '-')) + 1"/>
                                                                <xsl:text> v. Chr.</xsl:text>
                                                            </xsl:when>
                                                            <xsl:otherwise>
                                                                <xsl:value-of select="number(../tei:birth/@notAfter-iso)"/>
                                                                <xsl:if test="substring(../tei:birth/@notBefore-iso, 1, 1) = '-'">
                                                                    <xsl:text> n. Chr.</xsl:text>
                                                                </xsl:if>
                                                            </xsl:otherwise>
                                                        </xsl:choose>
                                                    </xsl:when>
                                                    <xsl:when test="../tei:floruit">
                                                        <xsl:value-of select="../tei:floruit"/>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <xsl:text>* ?</xsl:text>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                                <xsl:if test="not(../tei:floruit)">
                                                    <xsl:text>, ✝ </xsl:text>
                                                </xsl:if>
                                                <xsl:if test="../tei:death/@precision eq 'low' and ../tei:death/@when-iso">
                                                    <xsl:text>ca. </xsl:text>
                                                </xsl:if>
                                                
                                                <xsl:choose>
                                                    <xsl:when test="../tei:death/@when-iso">
                                                        <xsl:choose>
                                                            <xsl:when test="substring(../tei:death/@when-iso, 1, 1) = '-'">
                                                                <xsl:value-of select="number(substring-after(../tei:death/@when-iso, '-')) + 1"/>
                                                                <xsl:text> v. Chr.</xsl:text>
                                                            </xsl:when>
                                                            <xsl:otherwise>
                                                                <xsl:value-of select="number(../tei:death/@when-iso)"/>
                                                            </xsl:otherwise>
                                                        </xsl:choose>
                                                    </xsl:when>
                                                    <xsl:when test="../tei:death/@notBefore-iso and ../tei:death/@notAfter-iso">
                                                        <xsl:text>zwischen </xsl:text>
                                                        <xsl:if test="../tei:death/@precision eq 'low'">
                                                            <xsl:text>ca. </xsl:text>
                                                        </xsl:if>
                                                        <xsl:choose>
                                                            <xsl:when test="substring(../tei:death/@notBefore-iso, 1, 1) = '-'">
                                                                <xsl:value-of select="number(substring-after(../tei:death/@notBefore-iso, '-')) + 1"/>
                                                                <xsl:if test="substring(../tei:death/@notAfter-iso, 1, 1) != '-'">
                                                                    <xsl:text> v. Chr.</xsl:text>
                                                                </xsl:if>
                                                            </xsl:when>
                                                            <xsl:otherwise>
                                                                <xsl:value-of select="number(../tei:death/@notBefore-iso)"/>
                                                            </xsl:otherwise>
                                                        </xsl:choose>
                                                        <xsl:text> und </xsl:text>
                                                        <xsl:choose>
                                                            <xsl:when test="substring(../tei:death/@notAfter-iso, 1, 1) = '-'">
                                                                <xsl:value-of select="number(substring-after(../tei:death/@notAfter-iso, '-')) + 1"/>
                                                                <xsl:text> v. Chr.</xsl:text>
                                                            </xsl:when>
                                                            <xsl:otherwise>
                                                                <xsl:value-of select="number(../tei:death/@notAfter-iso)"/>
                                                                <xsl:if test="substring(../tei:death/@notBefore-iso, 1, 1) = '-'">
                                                                    <xsl:text> n. Chr.</xsl:text>
                                                                </xsl:if>
                                                            </xsl:otherwise>
                                                        </xsl:choose>
                                                    </xsl:when>
                                                    <xsl:when test="../tei:floruit"/>
                                                    <xsl:otherwise>
                                                        <xsl:text>?</xsl:text>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                                
                                                <xsl:text>)</xsl:text>
                                            </span>
                                        </xsl:when>
                                        <!-- Disambiguierung Ende -->
                                        
                                        <xsl:otherwise>                                            
                                            <xsl:value-of select="../tei:persName[@type = 'preferred']/tei:term/normalize-space()"/>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </xsl:when>
                            </xsl:choose> 
                        </a>
                    </td>
                </tr>                
            </xsl:when>
        </xsl:choose>
    </xsl:template>
    
    <!-- ****************************** step2 (erzeugt Anker für die Navigationsleiste): ****************************** -->
    
    <xsl:template match="@* | node()" mode="step2">
        <xsl:copy>
            <xsl:apply-templates select="@* | node()|comment()" mode="step2"/>
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="xhtml:tr" mode="step2">
        <xsl:if test="substring(@id,1,1) ne substring(preceding-sibling::xhtml:tr[1]/@id,1,1)">
            <tr xmlns="http://www.w3.org/1999/xhtml">                
                <xsl:attribute name="id" select="substring(@id,1,1)"/>
                <th>
                    <xsl:value-of select="upper-case(substring(@id,1,1))"/>
                </th>
            </tr>
        </xsl:if>
        
        <!-- Disambiguierung durch Lebensdaten: -->
        <xsl:choose>
            <xsl:when test="(preceding::xhtml:tr|following::xhtml:tr)/xhtml:td/xhtml:a[text() eq current()/xhtml:td/xhtml:a/text()]">
                <tr xmlns="http://www.w3.org/1999/xhtml">    
                    <xsl:copy-of select="@class"/>
                    <xsl:apply-templates mode="step2"/>
                </tr>
            </xsl:when>
            <xsl:otherwise>                    
                <xsl:copy>
                    <xsl:apply-templates select="@* | node()[not(xhtml:span[@class='birthdeath'])]|comment()" mode="step2"/>
                </xsl:copy>                
            </xsl:otherwise>
        </xsl:choose>        
    </xsl:template>
</xsl:stylesheet>