<?xml version="1.0" encoding="UTF-8"?>
<!-- Dieses Stylesheet fasst - in Kombination mit register2css_step2.xsl - die einzelnen XHTML-Dateien der Register zu einer einzigen XHTML-Datei zusammen. Achtung: Lieber offline und mit jedem Register einzeln ausführen, da Transformation sonst sehr lange dauert. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xhtml="http://www.w3.org/1999/xhtml" exclude-result-prefixes="xhtml xs" version="2.0">
    
    <xsl:output method="xhtml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" indent="yes"/>
    
    <xsl:template match="/">        
        <xsl:result-document href="register.xhtml"> 
            <html xmlns="http://www.w3.org/1999/xhtml">
                <head>                   
                    <title>Register zur Edition der Reise- und Sammlungsbeschreibungen Philipp Hainhofers (1578-1647)</title>
                    <meta name="publisher" content="Herzog August Bibliothek Wolfenbüttel"/>
                    <link rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/de/"/>
                    <style type="text/css">
                        h1 {
                        font-size:x-large;
                        }
                        
                        h2 {
                        font-size:large;
                        }
                        
                        .rs {
                        background: rgba(0, 0, 0, .1);    
                        padding: .0em .1em;
                        }
                        
                        .italics {
                        font-style:italic;
                        }
                        
                        .bibldesc {
                        font-weight:bold;
                        padding-bottom:0;
                        font-size:large;
                        page-break-after: avoid;
                        }
                        
                        .occurrenceshead, .containshead {
                        font-size:medium;
                        font-weight:bold;
                        }
                        
                        .caption, .license {
                        margin:0.5em;
                        }
                        
                        .entry {
                        margin-bottom:1.5cm;
                        }
                        
                        .image {
                        max-height:250px;
                        max-width:250px;
                        display:block;
                        margin:0.5em;
                        float:left;
                        }
                        
                        .imagecontainer {
                        overflow:hidden;
                        border:1px solid black;
                        }
                        
                        #wrk::before { 
                        content:"Objektregister"; 
                        font-size:xx-large;
                        }
                        #psn::before { 
                        content:"Personenregister"; 
                        font-size:xx-large;
                        }
                        #plc::before { 
                        content:"Ortsregister"; 
                        font-size:xx-large;
                        }
                        #org::before { 
                        content:"Körperschaftsregister"; 
                        font-size:xx-large;
                        }
                        #lit::before { 
                        content:"Bibliographie"; 
                        font-size:xx-large;
                    </style>
                </head>
                <body>                  
                    <!--<div id="wrk"><xsl:apply-templates select="document('file://///fpserver.hab.de/handschriften/Projekte/Hainhofer/Edition/HTML-Dateien/wrk-list.xhtml')//xhtml:td[not(text())]"/>           </div> -->  
                    <!--<div id="psn"><xsl:apply-templates select="document('file://///fpserver.hab.de/handschriften/Projekte/Hainhofer/Edition/HTML-Dateien/psn-list.xhtml')//xhtml:td[not(text())]"/>           </div>   
                    <div id="plc"><xsl:apply-templates select="document('file://///fpserver.hab.de/handschriften/Projekte/Hainhofer/Edition/HTML-Dateien/plc-list.xhtml')//xhtml:td[not(text())]"/>           </div>   
                    <div id="org"><xsl:apply-templates select="document('file://///fpserver.hab.de/handschriften/Projekte/Hainhofer/Edition/HTML-Dateien/org-list.xhtml')//xhtml:td[not(text())]"/>           </div>   
                    <div id="lit"><xsl:apply-templates select="document('file://///fpserver.hab.de/handschriften/Projekte/Hainhofer/Edition/HTML-Dateien/lit-list.xhtml')//xhtml:td[not(text())]"/>           </div> -->  
                    
                    <!--<div id="wrk"><xsl:apply-templates select="document('../HTML-Dateien/wrk-list.xhtml')//xhtml:td[not(text())]"/>           </div>-->   
                    <!--<div id="psn"><xsl:apply-templates select="document('../HTML-Dateien/psn-list.xhtml')//xhtml:td[not(text())]"/>           </div>-->   
                    <!--<div id="plc"><xsl:apply-templates select="document('../HTML-Dateien/plc-list.xhtml')//xhtml:td[not(text())]"/>           </div>-->   
                    <!--<div id="org"><xsl:apply-templates select="document('../HTML-Dateien/org-list.xhtml')//xhtml:td[not(text())]"/>           </div>-->   
                    <div id="lit"><xsl:apply-templates select="document('../HTML-Dateien/lit-list.xhtml')//xhtml:td[not(text())]"/>           </div>
                    
                </body>
            </html>
        </xsl:result-document>
    </xsl:template>
    
    
    <xsl:template match="xhtml:td[not(text())]">
        <xsl:variable name="path" select="xhtml:a/@href"/>
        <xsl:apply-templates select="document($path)//xhtml:html"/>    
    </xsl:template>
    
    <xsl:template match="xhtml:html">
        <div xmlns="http://www.w3.org/1999/xhtml" class="entry">
            <xsl:choose>
                <xsl:when test="xhtml:body/xhtml:div/xhtml:h1">
                    
                    <div xmlns="http://www.w3.org/1999/xhtml">
                        <xsl:copy-of select="xhtml:body/xhtml:div/xhtml:h1"/>
                        <xsl:copy-of select="xhtml:body/xhtml:div[@class eq 'images']"/>
                        <xsl:copy-of select="xhtml:body/xhtml:div[not(@class eq 'images')]/*[not(self::xhtml:h1)]"/>
                    </div>
                </xsl:when>
                <xsl:when test="xhtml:body/xhtml:h1">
                    <xsl:copy-of select="xhtml:body/*"/>
                </xsl:when>
                <xsl:when test="not(//xhtml:h1)">
                    <xsl:copy-of select="xhtml:body/*"/>
                </xsl:when>
            </xsl:choose>
        </div>
    </xsl:template>   
    
</xsl:stylesheet>
