<?xml version="1.0" encoding="UTF-8"?>
<!-- Dieses Stylesheet fasst - in Kombination mit register2css_step1.xsl - die einzelnen XHTML-Dateien der Register zu einer einzigen XHTML-Datei zusammen. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xhtml="http://www.w3.org/1999/xhtml" exclude-result-prefixes="xhtml xs" version="2.0">
    
    <xsl:output method="xhtml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" indent="yes"/>
    
    <xsl:template match="@*|node()">        
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="xhtml:a">
        <a xmlns="http://www.w3.org/1999/xhtml">
            <xsl:attribute name="href">            
                <xsl:choose>
                    <xsl:when test="starts-with(@href,'../lit/')">
                        <xsl:value-of select="concat('https://hainhofer.hab.de/informationen-zur-edition/bibliographie/',substring-before(substring-after(@href,'../lit/'),'.xhtml'))"/>                        
                    </xsl:when>
                    <xsl:when test="starts-with(@href,'../psn/')">
                        <xsl:value-of select="concat('https://hainhofer.hab.de/register/personen/',substring-before(substring-after(@href,'../psn/'),'.xhtml'))"/>                        
                    </xsl:when>
                    <xsl:when test="starts-with(@href,'../wrk/')">
                        <xsl:value-of select="concat('https://hainhofer.hab.de/register/objekte/',substring-before(substring-after(@href,'../wrk/'),'.xhtml'))"/>                        
                    </xsl:when>
                    <xsl:when test="starts-with(@href,'../plc/')">
                        <xsl:value-of select="concat('https://hainhofer.hab.de/register/orte/',substring-before(substring-after(@href,'../plc/'),'.xhtml'))"/>                        
                    </xsl:when>
                    <xsl:when test="starts-with(@href,'../org/')">
                        <xsl:value-of select="concat('https://hainhofer.hab.de/register/koerperschaftsregister/',substring-before(substring-after(@href,'../org/'),'.xhtml'))"/>                        
                    </xsl:when>                    
                    <xsl:when test="contains(@href,'#fol')">
                        <xsl:value-of select="concat('https://hainhofer.hab.de/reiseberichte/',substring-before(substring-after(@href,'../'),'.xhtml'), substring-after(@href,'.xhtml'))"/>                        
                    </xsl:when>
                    <xsl:when test="starts-with(@href,'../')">
                        <xsl:value-of select="concat('https://hainhofer.hab.de/register/',substring-after(@href,'../'))"/>                        
                    </xsl:when>
                    <xsl:when test="not(contains(@href,'/'))">
                        <xsl:choose>
                            <xsl:when test="ancestor::xhtml:div[@id eq 'plc']">
                                <xsl:value-of select="concat('https://hainhofer.hab.de/register/orte/',substring-before(@href,'.xhtml'))"/> 
                            </xsl:when>
                            <xsl:when test="ancestor::xhtml:div[@id eq 'psn']">
                                <xsl:value-of select="concat('https://hainhofer.hab.de/register/personen/',substring-before(@href,'.xhtml'))"/> 
                            </xsl:when>
                            <xsl:when test="ancestor::xhtml:div[@id eq 'wrk']">
                                <xsl:value-of select="concat('https://hainhofer.hab.de/register/objekte/',substring-before(@href,'.xhtml'))"/> 
                            </xsl:when>
                            <xsl:when test="ancestor::xhtml:div[@id eq 'org']">
                                <xsl:value-of select="concat('https://hainhofer.hab.de/register/koerperschaftsregister/',substring-before(@href,'.xhtml'))"/> 
                            </xsl:when>
                            <xsl:when test="ancestor::xhtml:div[@id eq 'lit']">
                                <xsl:value-of select="concat('https://hainhofer.hab.de/informationen-zur-edition/bibliographie/',substring-before(@href,'.xhtml'))"/> 
                            </xsl:when>
                        </xsl:choose>                                              
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="@href"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:attribute>
            <xsl:apply-templates/>
        </a>      
    </xsl:template>
    
</xsl:stylesheet>