<?xml version="1.0" encoding="UTF-8"?>
<!-- Dieses Stylesheet erzeugt den XHTML-Code für https://hainhofer.hab.de/register/gnd-systematik-zum-objektregister - eine Aufteilung der im Objektregister vergebenen Schlagwörter nach den Sachgruppen der Gemeinsamen Normdatei. Die Schlagwörter werden dabei jeweils mit den entsprechenden Registereinträgen verlinkt. Die Transformation dauert etwas mehr als 1 Stunde. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xhtml gndo rdf skos tei" version="2.0" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:gndo="https://d-nb.info/standards/elementset/gnd#" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:skos="http://www.w3.org/2004/02/skos/core#">
    
    <!-- Variante für das offline-Testen vor dem Upload nach WordPress: -->
    <!--<xsl:variable name="wrkpath">wrk/</xsl:variable>
        <xsl:variable name="fileextension">.xhtml</xsl:variable>-->
    
    <xsl:variable name="wrkpath">objekte/</xsl:variable>
    <xsl:variable name="fileextension"/> 
    
    <xsl:template match="/">
        
        <xsl:result-document href="../HTML-Dateien/schlagwortsystematik.xhtml" method="xml" encoding="utf-8" omit-xml-declaration="yes">
            
            <xsl:variable name="input" select="(document('../Register/register-work/register-work-a.xml')|document('../Register/register-work/register-work-b.xml')|document('../Register/register-work/register-work-c.xml')|document('../Register/register-work/register-work-d.xml')|document('../Register/register-work/register-work-e.xml')|document('../Register/register-work/register-work-f.xml')|document('../Register/register-work/register-work-g.xml')|document('../Register/register-work/register-work-h.xml')|document('../Register/register-work/register-work-i.xml')|document('../Register/register-work/register-work-j.xml')|document('../Register/register-work/register-work-k.xml')|document('../Register/register-work/register-work-l.xml')|document('../Register/register-work/register-work-m.xml')|document('../Register/register-work/register-work-n.xml')|document('../Register/register-work/register-work-o.xml')|document('../Register/register-work/register-work-p.xml')|document('../Register/register-work/register-work-qr.xml')|document('../Register/register-work/register-work-s.xml')|document('../Register/register-work/register-work-t.xml')|document('../Register/register-work/register-work-u.xml')|document('../Register/register-work/register-work-v.xml')|document('../Register/register-work/register-work-w.xml')|document('../Register/register-work/register-work-xyz.xml'))"/>
            
            <html xmlns="http://www.w3.org/1999/xhtml">
                <head>
                    <title>GND-Systematik zum Objektregister</title>
                    <!--Idee für ausklappbare Navigation (auf der WordPress-Webseite noch nicht umsetzbar):-->
                    <!--<style type="text/css">
                        ul {
                        list-style-type: none;
                        margin: 0;
                        padding: 0;
                        }
                        
                        .collapsible {
                        background-color: #777;
                        color: white;
                        cursor: pointer;
                        padding: 18px;
                        width: 100%;
                        border: none;
                        text-align: left;
                        outline: none;
                        font-size: 15px;
                        }
                        
                        .active, .collapsible:hover {
                        background-color: #555;
                        }
                        
                        .collapsible+ul {
                        padding: 0 18px;
                        display: none;
                        overflow: hidden;
                        background-color: #f1f1f1;
                        }
                        </style>-->
                </head>
                <body>
                    <h3>GND-Sachgruppen</h3>
                    <ul>
                        <xsl:for-each select="document('https://d-nb.info/standards/vocab/gnd/gnd-sc.rdf')/rdf:RDF/skos:ConceptScheme/skos:hasTopConcept/skos:Concept">
                            <xsl:sort select="replace(@rdf:about,'^.+#([0-9]{1,2}).*$','$1')" data-type="number"/>
                            <xsl:variable name="concept-id" select="replace(@rdf:about,'^.+#([0-9]{1,2}).*$','$1')"/>
                            <xsl:if test="$input/tei:TEI/tei:text/tei:body/tei:list/tei:item/tei:desc/tei:term[document(concat(@ref,'/about/lds.rdf'))/rdf:RDF/rdf:Description/gndo:gndSubjectCategory/@rdf:resource[contains(.,concat('#',current()/replace(@rdf:about,'^.+#([0-9]{1,2}).*$','$1'),'.'))]]">
                                <li>
                                    <a>  
                                        <xsl:attribute name="href" select="concat('#sc',replace(@rdf:about,'^.+#([0-9]{1,2}).*$','$1'))"/>
                                        <xsl:value-of select="replace(@rdf:about,'^.+#([0-9]{1,2}).*$','$1')"/>
                                        <xsl:text>: </xsl:text>                                        
                                        <xsl:value-of select="normalize-space(skos:prefLabel[@xml:lang='de'])"/> 
                                    </a>
                                    <xsl:text> (</xsl:text>
                                    <xsl:variable name="objectcount" select="count($input/tei:TEI/tei:text/tei:body/tei:list/tei:item/tei:desc/tei:term[document(concat(@ref,'/about/lds.rdf'))/rdf:RDF/rdf:Description/gndo:gndSubjectCategory/@rdf:resource[contains(.,concat('#',current()/replace(@rdf:about,'^.+#([0-9]{1,2}).*$','$1'),'.'))]])"/>
                                    <xsl:value-of select="$objectcount"/>
                                    <xsl:choose>
                                        <xsl:when test="$objectcount gt 1">
                                            <xsl:text> Objekte)</xsl:text>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:text> Objekt)</xsl:text>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </li>
                            </xsl:if>
                        </xsl:for-each>
                    </ul>
                    <ul>
                        <xsl:for-each select="document('https://d-nb.info/standards/vocab/gnd/gnd-sc.rdf')/rdf:RDF/skos:ConceptScheme/skos:hasTopConcept/skos:Concept">                       
                            <xsl:sort select="replace(@rdf:about,'^.+#([0-9]{1,2}).*$','$1')" data-type="number"/>
                            <xsl:variable name="concept-id" select="replace(@rdf:about,'^.+#([0-9]{1,2}).*$','$1')"/>
                            
                            <xsl:if test="$input/tei:TEI/tei:text/tei:body/tei:list/tei:item/tei:desc/tei:term[document(concat(@ref,'/about/lds.rdf'))/rdf:RDF/rdf:Description/gndo:gndSubjectCategory/@rdf:resource[matches(.,concat('#',replace(current()/@rdf:about,'^.+#([0-9]{1,2}).*$','$1'),'\.'))]]">
                                <li>
                                    <xsl:attribute name="id" select="concat('sc',replace(@rdf:about,'^.+#([0-9]{1,2}).*$','$1'))"/>
                                    <!--<div class="collapsible">
                                        <h3>-->
                                    <xsl:text>GND-Sachgruppe </xsl:text>
                                    <xsl:value-of select="replace(@rdf:about,'^.+#([0-9]{1,2}).*$','$1')"/>
                                    <xsl:text>:</xsl:text>
                                    
                                    <xsl:text> </xsl:text>
                                    <xsl:value-of select="normalize-space(skos:prefLabel[@xml:lang='de'])"/> 
                                    
                                    <xsl:text> (</xsl:text>
                                    <xsl:variable name="objectcount" select="count($input/tei:TEI/tei:text/tei:body/tei:list/tei:item/tei:desc/tei:term[document(concat(@ref,'/about/lds.rdf'))/rdf:RDF/rdf:Description/gndo:gndSubjectCategory/@rdf:resource[matches(.,concat('#',replace(current()/@rdf:about,'^.+#([0-9]{1,2}).*$','$1'),'\.'))]])"/>
                                    <xsl:value-of select="$objectcount"/>
                                    <xsl:choose>
                                        <xsl:when test="$objectcount gt 1">
                                            <xsl:text> Objekte)</xsl:text>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:text> Objekt)</xsl:text>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                    <!--</h3>
                                        </div>-->
                                    <ul>
                                        <xsl:for-each select="document('https://d-nb.info/standards/vocab/gnd/gnd-sc.rdf')/rdf:RDF//skos:Concept[starts-with(substring-after(@rdf:about,'#'),concat($concept-id,'.'))]">    
                                            <xsl:sort select="tokenize(substring-after(substring-after(@rdf:about,'#'),'.'),'[a-z]')[1]" data-type="number"/>
                                            <xsl:sort select="replace(substring-after(substring-after(@rdf:about,'#'),'.'),'[0-9]','')" data-type="text"/>
                                            <xsl:if test="$input/tei:TEI/tei:text/tei:body/tei:list/tei:item/tei:desc/tei:term[document(concat(@ref,'/about/lds.rdf'))/rdf:RDF/rdf:Description/gndo:gndSubjectCategory[@rdf:resource eq current()/@rdf:about]]">                                                
                                                <li>
                                                    <!--<div class="collapsible">-->
                                                    <span>
                                                        <xsl:value-of select="substring-after(@rdf:about,'#')"/>
                                                        <xsl:text>:</xsl:text>
                                                    </span>
                                                    <xsl:text> </xsl:text>
                                                    
                                                    <xsl:value-of select="normalize-space(skos:prefLabel[@xml:lang='de'])"/>
                                                    
                                                    <xsl:text> (</xsl:text>
                                                    <xsl:variable name="objectcount" select="count($input/tei:TEI/tei:text/tei:body/tei:list/tei:item/tei:desc/tei:term[document(concat(@ref,'/about/lds.rdf'))/rdf:RDF/rdf:Description/gndo:gndSubjectCategory[@rdf:resource eq current()/@rdf:about]])"/>
                                                    <xsl:value-of select="$objectcount"/>
                                                    <xsl:choose>
                                                        <xsl:when test="$objectcount gt 1">
                                                            <xsl:text> Objekte)</xsl:text>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                            <xsl:text> Objekt)</xsl:text>
                                                        </xsl:otherwise>
                                                    </xsl:choose>
                                                    
                                                    <!--</div>-->
                                                    <ul>
                                                        <xsl:variable name="objekte_unsortiert">
                                                            <xsl:for-each select="$input/tei:TEI/tei:text/tei:body/tei:list/tei:item/tei:desc/tei:term[document(concat(@ref,'/about/lds.rdf'))/rdf:RDF/rdf:Description/gndo:gndSubjectCategory[@rdf:resource eq current()/@rdf:about]]">                                                                
                                                                <li>
                                                                    <xsl:value-of select="normalize-space(.)"/>
                                                                    <xsl:text> (</xsl:text>
                                                                    <a>
                                                                        <xsl:attribute name="href">
                                                                            
                                                                            <xsl:value-of select="concat($wrkpath, parent::tei:desc/parent::tei:item/@xml:id,$fileextension)"/>
                                                                        </xsl:attribute>
                                                                        <xsl:if test="parent::tei:desc/parent::tei:item/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location'] and parent::tei:desc/parent::tei:item/tei:objectType[@n eq '1'][@ref eq '#architektur']">
                                                                            <xsl:choose>
                                                                                <xsl:when test="starts-with(substring-after(parent::tei:desc/parent::tei:item/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' '), '#')">
                                                                                    <xsl:variable name="workid" select="substring-after(parent::tei:desc/parent::tei:item/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' #')"/>
                                                                                    <xsl:if test="$input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location'] and $input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:objectType[@n eq '1'][@ref eq '#architektur']">
                                                                                        <xsl:choose>
                                                                                            <xsl:when test="starts-with(substring-after($input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' '), '#')">
                                                                                                <xsl:variable name="workid" select="substring-after($input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' #')"/>
                                                                                                <xsl:if test="$input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']">
                                                                                                    <xsl:variable name="placeid" select="substring-after($input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' plc:')"/>
                                                                                                    <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                                                                                    <xsl:text>, </xsl:text>
                                                                                                </xsl:if>
                                                                                                <xsl:value-of select="$input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:name[@type = 'preferred']/tei:term"/>
                                                                                            </xsl:when>
                                                                                            <xsl:when test="starts-with(substring-after($input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' '), 'plc:')">
                                                                                                <xsl:variable name="placeid" select="substring-after($input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' plc:')"/>
                                                                                                <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                                                                            </xsl:when>
                                                                                        </xsl:choose>
                                                                                        <xsl:text>, </xsl:text>
                                                                                    </xsl:if>
                                                                                    <xsl:value-of select="$input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:name[@type = 'preferred']/tei:term"/>
                                                                                    <xsl:text>, </xsl:text>
                                                                                </xsl:when>
                                                                                <xsl:when test="starts-with(substring-after(parent::tei:desc/parent::tei:item/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' '), 'plc:')">
                                                                                    <xsl:variable name="placeid" select="substring-after(parent::tei:desc/parent::tei:item/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' plc:')"/>
                                                                                    <xsl:if test="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']">
                                                                                        <xsl:choose>
                                                                                            <xsl:when test="starts-with(substring-after((document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' '), '#')">
                                                                                                <xsl:variable name="placeid" select="substring-after((document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' #')"/>
                                                                                                <xsl:if test="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']">
                                                                                                    <xsl:variable name="placeid" select="substring-after((document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' #')"/>
                                                                                                    <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                                                                                    <xsl:text>, </xsl:text>
                                                                                                </xsl:if>
                                                                                                <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                                                                            </xsl:when>
                                                                                            <xsl:when test="starts-with(substring-after((document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' '), 'wrk:')">
                                                                                                <xsl:variable name="workid" select="substring-after((document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P89_falls_within']/@target, ' wrk:')"/>
                                                                                                <xsl:if test="$input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']">
                                                                                                    <xsl:variable name="placeid" select="substring-after($input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:linkGrp/tei:link[@ana = 'http://erlangen-crm.org/current/P53_has_former_or_current_location']/@target, ' plc:')"/>
                                                                                                    <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                                                                                    <xsl:text>, </xsl:text>
                                                                                                </xsl:if>
                                                                                                <xsl:value-of select="$input/tei:TEI/tei:text/tei:body/tei:list/tei:item[@xml:id eq $workid]/tei:name[@type = 'preferred']/tei:term"/>
                                                                                            </xsl:when>
                                                                                        </xsl:choose>
                                                                                        <xsl:text>, </xsl:text>
                                                                                    </xsl:if>
                                                                                    <xsl:value-of select="(document('../Register/register-place/register-place-a.xml')|document('../Register/register-place/register-place-b.xml')|document('../Register/register-place/register-place-c.xml')|document('../Register/register-place/register-place-d.xml')|document('../Register/register-place/register-place-e.xml')|document('../Register/register-place/register-place-f.xml')|document('../Register/register-place/register-place-g.xml')|document('../Register/register-place/register-place-h.xml')|document('../Register/register-place/register-place-i.xml')|document('../Register/register-place/register-place-j.xml')|document('../Register/register-place/register-place-k.xml')|document('../Register/register-place/register-place-l.xml')|document('../Register/register-place/register-place-m.xml')|document('../Register/register-place/register-place-n.xml')|document('../Register/register-place/register-place-o.xml')|document('../Register/register-place/register-place-p.xml')|document('../Register/register-place/register-place-qr.xml')|document('../Register/register-place/register-place-s.xml')|document('../Register/register-place/register-place-t.xml')|document('../Register/register-place/register-place-u.xml')|document('../Register/register-place/register-place-v.xml')|document('../Register/register-place/register-place-w.xml')|document('../Register/register-place/register-place-xyz.xml'))//tei:place[@xml:id eq $placeid]/tei:placeName[@type = 'preferred']/tei:term"/>
                                                                                    <xsl:text>, </xsl:text>
                                                                                </xsl:when>
                                                                            </xsl:choose>
                                                                        </xsl:if>
                                                                        
                                                                        <xsl:value-of select="parent::tei:desc/parent::tei:item/tei:name[@type = 'preferred']/tei:term/normalize-space()"/>
                                                                    </a>
                                                                    <xsl:text>)</xsl:text>
                                                                </li>    
                                                            </xsl:for-each>
                                                        </xsl:variable>
                                                        <xsl:for-each select="$objekte_unsortiert/xhtml:li">
                                                            <xsl:sort select="."/>
                                                            <xsl:sort select="a"/>
                                                            <xsl:copy-of select="."/>
                                                        </xsl:for-each>
                                                        
                                                    </ul>
                                                    
                                                </li>
                                            </xsl:if>
                                        </xsl:for-each>
                                    </ul>
                                </li>     
                            </xsl:if>
                        </xsl:for-each>
                    </ul>
                    
                    <!--<script type="text/javascript">
                        <![CDATA[
                        var coll = document.getElementsByClassName("collapsible");
                        var i;
                        
                        for (i = 0; i < coll.length; i++) {
                        coll[i].addEventListener("click", function() {
                        this.classList.toggle("active");
                        var content = this.nextElementSibling;
                        if (content.style.display === "block") {
                        content.style.display = "none";
                        } else {
                        content.style.display = "block";
                        }
                        });
                        }
                        ]]>
                        </script>-->
                    
                </body>
            </html>    
        </xsl:result-document>
    </xsl:template>
    
</xsl:stylesheet>