<?xml version="1.0" encoding="UTF-8"?>
<!-- Dieses Stylesheet erzeugt aus einem TEI/XML-Dokument eine TXT-Datei, die den Transkriptionstext der jeweiligen Leithandschrift ohne jegliche editorische Ergänzungen enthält. Lediglich Abkürzungen sind in ihrer editorisch aufgelösten Form enthalten. Offensichtliche Fehler wurden beibehalten. Zeilenumbrüche wurden entfernt, durch Zeilenumbrüche getrennte Wörter zusammengefügt. Absatzwechsel werden durch Zeilenumbrüche markiert. Marginalien sind dem jeweiligen Absatz vorangestellt. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:tei="http://www.tei-c.org/ns/1.0"
    exclude-result-prefixes="tei xs"
    version="2.0">
    
    <xsl:output method="text"/>
    
    <xsl:strip-space elements="tei:div"/>
    
    <xsl:template match="/">        
        <xsl:variable name="title" select="substring-before(substring-after(document-uri(/),'XML-Dateien/'),'.xml')"/>        
        <xsl:result-document href="../TXT-Dateien/{$title}.txt" encoding="UTF-16">
            <xsl:apply-templates select="//tei:body"/>
        </xsl:result-document>
    </xsl:template>
    
    <xsl:template match="tei:abbr"/>
    
    <xsl:template match="tei:corr"/>
    
    <xsl:template match="tei:div">
        <xsl:apply-templates/>
        <xsl:text>&#x0A;</xsl:text>
    </xsl:template>
    
    <xsl:template match="tei:hi[@rendition eq '#s']"/>
    
    <xsl:template match="tei:lb">
        <!-- Zeilenumbrüche wie im Original: --><!--<xsl:text>&#x0A;</xsl:text>--> 
        <xsl:choose>
            <xsl:when test="ends-with(preceding::text()[1],'-')"/>
            <xsl:otherwise><xsl:text> </xsl:text></xsl:otherwise>
        </xsl:choose>        
    </xsl:template>    
    
    <xsl:template match="tei:note"/>
    
    <xsl:template match="tei:p">
        <xsl:for-each select="tei:note[@type='contemporary']">
            <xsl:apply-templates/>
            <xsl:text>&#x0A;</xsl:text>            
        </xsl:for-each>
        <xsl:apply-templates/>
        <xsl:text>&#x0A;</xsl:text>
        
    </xsl:template> 
    
    <xsl:template match="tei:pb"> 
        <xsl:choose>
            <xsl:when test="ends-with(preceding::text()[1],'-')"/>
            <xsl:otherwise><xsl:text> </xsl:text></xsl:otherwise>
        </xsl:choose>        
    </xsl:template>
    
    <xsl:template match="tei:rdg"/>
    
    <xsl:template match="text()">        
        <xsl:value-of select="replace(replace(.,'-$',''), '\s+', ' ')"/>
    </xsl:template>
    
</xsl:stylesheet>
